;(function ($) {

    "use strict";

    $(document).ready(function() {


        //*=============menu sticky js =============*//
        var $window = $(window);
        var didScroll,
            lastScrollTop = 0,
            delta = 5,
            $mainNav = $(".sticky-nav"),
            $body = $("body"),
            $mainNavHeight = $mainNav.outerHeight() + 15,
            scrollTop;

        $window.on("scroll", function () {
            didScroll = true;
            scrollTop = $(this).scrollTop();
        });

        setInterval(function () {
            if (didScroll) {
                if (Math.abs(lastScrollTop - scrollTop) <= delta) {
                    return;
                }
                if (scrollTop > lastScrollTop && scrollTop > $mainNavHeight) {
                    $mainNav
                        .removeClass("fadeInDown")
                        .addClass("fadeInUp")
                        .css("top", -$mainNavHeight);
                    $body.removeClass("remove").addClass("add");
                } else {
                    if (scrollTop + $(window).height() < $(document).height()) {
                        $mainNav
                            .removeClass("fadeInUp")
                            .addClass("fadeInDown")
                            .css("top", 0)
                            .addClass("gap");
                        $body.removeClass("add").addClass("remove");
                    }
                }
                lastScrollTop = scrollTop;
                didScroll = false;
            }
        }, 200);

        if ($(".sticky-nav").length) {
            $(window).scroll(function () {
                var scroll = $(window).scrollTop();
                if (scroll) {
                    $(".sticky-nav").addClass("navbar_fixed");
                    $(".sticky-nav-doc .body_fixed").addClass("body_navbar_fixed");
                } else {
                    $(".sticky-nav").removeClass("navbar_fixed");
                    $(".sticky-nav-doc .body_fixed").removeClass("body_navbar_fixed");
                }
            });
        }

        // Back to Top Button
        let backTopBtn = $('.scrollToTop')
        $(window).scroll(function () {
            if ($(this).scrollTop() > 300) {
                backTopBtn.fadeIn();
            } else {
                backTopBtn.fadeOut();
            }
        });

        //Click event to scroll to top
        backTopBtn.on( 'click', function (e) {
            e.preventDefault()
            $("html, body").animate(
                {
                    scrollTop: 0,
                },
                300
            );
        });

        /*  Menu Click js  */
        function Menu_js() {
            if ($(".submenu").length) {
                $(".submenu > .dropdown-toggle").click(function () {
                    var location = $(this).attr("href");
                    window.location.href = location;
                    return false;
                });
            }
        }
        Menu_js();

        /*--------------- mobile dropdown js--------*/
        function active_dropdown2() {
            $(".menu > li .mobile_dropdown_icon").on("click", function (e) {
                $(this).parent().find("ul").first().slideToggle(300);
                $(this).parent().siblings().find("ul").hide(300);
            });
        }

        active_dropdown2();

        //Wow
        new WOW().init();

        //Paroller
        $(".object-element").paroller();


        //============== Blog Post Share Icons ==============//
        let $blog_details_area = $('.blog-post-area')
        let $post_social_icon = $('.post_social_icon')

        if ( $blog_details_area.length > 0 ) {
            var social_icon_offset = $blog_details_area.offset().top;
            $(window).scroll(function () {
                var scroll = $(window).scrollTop();
                if (scroll >= social_icon_offset) {
                    $post_social_icon.addClass("active");
                } else {
                    $post_social_icon.removeClass("active");
                }
                if (
                    $post_social_icon.offset().top + $post_social_icon.height() >
                    $(".footer").offset().top
                ) {
                    $post_social_icon.removeClass('active');
                }
            });
        }


        //================ Landpagy Mega Menu ====================//
        $('.has-landpagy-mega-menu').click(function(){
            $(this).toggleClass('megamenu-display');
        });


        $('.has-landpagy-mega-menu > a').click(function(){
            $(this).parent('.has-landpagy-mega-menu').toggleClass('megamenu-display');
            return false;
        });

        $('.arrow_carrot-right.mobile_dropdown_icon').click(function(){
            $(this).parent('.has-landpagy-mega-menu').toggleClass('megamenu-display');
        });


        /*---------------  js--------*/
        function select() {
            if ($('.custom-select').length) {
                $('.custom-select').niceSelect();
            }
        }
        select();


        $('.nice-select-common').niceSelect();

        // Update cart button
        $('.ar_top').on('click', function () {
            var getID = $(this).next().attr('id');
            var result = document.getElementById(getID);
            var qty = result.value;
            $('.shopping_cart_area .cart_btn.cart_btn_two').removeAttr('disabled');
            if (!isNaN(qty)) {
                result.value++;
                $('.cart_btn.ajax_add_to_cart').attr('data-quantity', result.value )
            } else {
                return false;
            }
        });

        $('.ar_down').on('click', function () {
            var getID = $(this).prev().attr('id');
            var result = document.getElementById(getID);
            var qty = result.value;
            $('.shopping_cart_area .cart_btn.cart_btn_two').removeAttr('disabled');
            if (!isNaN(qty) && qty > 0) {
                result.value--;
                $('.cart_btn.ajax_add_to_cart').attr('data-quantity', result.value )
            } else {
                return false;
            }
        });


    });

})(jQuery);