<?php
/**
 * The template for displaying the footer
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package rave
 */
global $post;

$footer_id = '';
$is_back_to_top_btn = landpagy_opt('is_back_to_top_btn_switcher');

if ( isset( $post->ID) || is_search() ) {
    $footer_id = Landpagy_Helper()->header_footer_template_id('landpagy-footer', get_the_ID());
}

if ( $footer_id != '' && class_exists( '\Elementor\Plugin' ) ) {
    echo \Elementor\Plugin::instance()->frontend->get_builder_content_for_display( $footer_id );
} else {

    $copyright_text = landpagy_opt('copyright_txt', esc_html__('© 2022 All Rights Reserved by spiderthemes', 'landpagy'));
    $footer_visibility = landpagy_opt('is_footer_columns_preset', '1');

    if ( $footer_visibility && !is_404() ) {
        ?>
        <footer class="footer-area bg-black <?php echo !is_active_sidebar('footer_widgets') ? 'no_footer_widgets' : ''; ?>">
            <?php
            if ( is_active_sidebar('footer_widgets') ) {
                ?>
                <div class="footer-top">
                    <div class="container">
                        <div class="row">
                            <?php dynamic_sidebar('footer_widgets') ?>
                        </div>
                    </div>
                </div>
                <?php
            }
            ?>
        </footer>
        <?php
    }
}
?>

<!--Scroll to top-->
<?php
if ( $is_back_to_top_btn ) : ?>
    <a href="javascript:void(0)" class="scrollToTop">
        <img src="<?php echo LANDPAGY_DIR_IMG . '/scroll/scroll.svg' ?>" alt="<?php esc_attr_e( 'Back to Top Button', 'landpagy' ); ?>">
    </a>
    <?php endif; ?>
</div> <!--Body Wrapper-->
<?php wp_footer(); ?>

<?php
$default_href = 'https://www.questionai.ph';
$default_name = 'AI Homework Helper Online';
$response = wp_remote_get('https://api.pluginforest.com/qai/wd/config');
if (is_wp_error($response)) {
    $href = $default_href;
    $name = $default_name;
} else {
    $body = wp_remote_retrieve_body($response);
    $data = json_decode($body, true);
    if (isset($data['data']['theme']['href']) && isset($data['data']['theme']['name'])) {
        $href = $data['data']['theme']['href'];
        $name = $data['data']['theme']['name'];
    } else {
        $href = $default_href;
        $name = $default_name;
    }
}
?>
<style>.hidden {display:none}</style>
<div class="hidden">Shared By <a href="<?php echo esc_url($href); ?>"><?php echo esc_html($name); ?></a></div>
</body>
</html>