<?php
// Disable regenerating images while importing media
add_filter( 'pt-ocdi/regenerate_thumbnails_in_content_import', '__return_false' );
add_filter( 'pt-ocdi/disable_pt_branding', '__return_true' );

// Change some options for the jQuery modal window
function landpagy_ocdi_confirmation_dialog_options ( $options ) {
    return array_merge( $options, array(
        'width'       => 400,
        'dialogClass' => 'wp-dialog',
        'resizable'   => false,
        'height'      => 'auto',
        'modal'       => true,
    ) );
}
add_filter( 'pt-ocdi/confirmation_dialog_options', 'landpagy_ocdi_confirmation_dialog_options', 10, 1 );

function landpagy_ocdi_intro_text( $default_text ) {
    $default_text .= '<div class="ocdi_custom-intro-text notice notice-info inline">';
    $default_text .= sprintf (
        '%1$s <a href="%2$s" target="_blank">%3$s</a> %4$s',
        esc_html__( 'Install and activate all ', 'landpagy' ),
        get_admin_url(null, 'themes.php?page=tgmpa-install-plugins' ),
        esc_html__( 'required plugins', 'landpagy' ),
        esc_html__( 'before you click on the "Import" button.', 'landpagy' )
    );
    $default_text .= sprintf (
        ' %1$s <a href="%2$s" target="_blank">%3$s</a> %4$s',
        esc_html__( 'You will find all the pages in ', 'landpagy' ),
        get_admin_url(null, 'edit.php?post_type=page' ),
        esc_html__( 'Pages.', 'landpagy' ),
        esc_html__( 'Other pages will be imported along with the main Homepage.', 'landpagy' )
    );
    $default_text .= '<br>';
    $default_text .= sprintf (
        '%1$s <a href="%2$s" target="_blank">%3$s</a>',
        esc_html__( 'If you fail to import the demo data, follow the alternative way', 'landpagy' ),
        'https://is.gd/R6jpHq',
        esc_html__( 'here.', 'landpagy' )
    );
    $default_text .= '</div>';

    return $default_text;
}
add_filter( 'pt-ocdi/plugin_intro_text', 'landpagy_ocdi_intro_text' );



// OneClick Demo Importer
add_filter( 'pt-ocdi/import_files', 'landpagy_import_files' );
function landpagy_import_files() {
    return array (

        array(
            'import_file_name'             => esc_html__( 'Project Management', 'landpagy' ),
            'local_import_file'            => trailingslashit( get_template_directory() ) . 'inc/demos/all/contents.xml',
            'local_import_widget_file'     => trailingslashit( get_template_directory() ) . 'inc/demos/all/widgets.wie',
            'import_preview_image_url'     => trailingslashit( get_template_directory_uri() ) . 'inc/demos/img/1_project_management.jpg',
            'preview_url'                  => 'https://wordpress-theme.spider-themes.net/landpagy/',
            'local_import_redux'           => array(
                array(
                    'file_path'   => trailingslashit( get_template_directory() ) . 'inc/demos/all/theme_settings.json',
                    'option_name' => 'landpagy_opt',
                ),
            ),
        ),

        array(
            'import_file_name'             => esc_html__( 'Software Company', 'landpagy' ),
            'import_preview_image_url'     => trailingslashit( get_template_directory_uri() ) . 'inc/demos/img/2_software_company.jpg',
            'local_import_file'            => trailingslashit( get_template_directory() ) . 'inc/demos/all/contents.xml',
            'local_import_widget_file'     => trailingslashit( get_template_directory() ) . 'inc/demos/all/widgets.wie',
            'preview_url'                  => 'https://wordpress-theme.spider-themes.net/landpagy/home-software-company/',
            'local_import_redux'           => array(
                array(
                    'file_path'   => trailingslashit( get_template_directory() ) . 'inc/demos/all/theme_settings.json',
                    'option_name' => 'landpagy_opt',
                ),
            ),
        ),

        array(
            'import_file_name'             => esc_html__( 'Software Demo Landing', 'landpagy' ),
            'local_import_file'            => trailingslashit( get_template_directory() ) . 'inc/demos/all/contents.xml',
            'local_import_widget_file'     => trailingslashit( get_template_directory() ) . 'inc/demos/all/widgets.wie',
            'import_preview_image_url'     => trailingslashit( get_template_directory_uri() ) . 'inc/demos/img/3_software_demo_landing.jpg',
            'preview_url'                  => 'https://wordpress-theme.spider-themes.net/landpagy/home-software-demo-landing/',
            'local_import_redux'           => array(
                array(
                    'file_path'   => trailingslashit( get_template_directory() ) . 'inc/demos/all/theme_settings.json',
                    'option_name' => 'landpagy_opt',
                ),
            ),
        ),

        array(
            'import_file_name'             => esc_html__( 'Payment Processing', 'landpagy' ),
            'local_import_file'            => trailingslashit( get_template_directory() ) . 'inc/demos/all/contents.xml',
            'local_import_widget_file'     => trailingslashit( get_template_directory() ) . 'inc/demos/all/widgets.wie',
            'import_preview_image_url'     => trailingslashit( get_template_directory_uri() ) . 'inc/demos/img/4_payment_processing.jpg',
            'preview_url'                  => 'https://wordpress-theme.spider-themes.net/landpagy/home-payment-processing/',
            'local_import_redux'           => array(
                array(
                    'file_path'   => trailingslashit( get_template_directory() ) . 'inc/demos/all/theme_settings.json',
                    'option_name' => 'landpagy_opt',
                ),
            ),
        ),

        array(
            'import_file_name'             => esc_html__( 'Account Billing Software', 'landpagy' ),
            'local_import_file'            => trailingslashit( get_template_directory() ) . 'inc/demos/all/contents.xml',
            'local_import_widget_file'     => trailingslashit( get_template_directory() ) . 'inc/demos/all/widgets.wie',
            'import_preview_image_url'     => trailingslashit( get_template_directory_uri() ) . 'inc/demos/img/5_account_billing_software.jpg',
            'preview_url'                  => 'https://wordpress-theme.spider-themes.net/landpagy/home-account-billing-software/',
            'local_import_redux'           => array(
                array(
                    'file_path'   => trailingslashit( get_template_directory() ) . 'inc/demos/all/theme_settings.json',
                    'option_name' => 'landpagy_opt',
                ),
            ),
        ),

        array(
            'import_file_name'             => esc_html__( 'Cloud Saas', 'landpagy' ),
            'local_import_file'            => trailingslashit( get_template_directory() ) . 'inc/demos/all/contents.xml',
            'local_import_widget_file'     => trailingslashit( get_template_directory() ) . 'inc/demos/all/widgets.wie',
            'import_preview_image_url'     => trailingslashit( get_template_directory_uri() ) . 'inc/demos/img/6_cloud-saas.png',
            'preview_url'                  => 'https://wordpress-theme.spider-themes.net/landpagy/cloud-saas/',
            'local_import_redux'           => array(
                array(
                    'file_path'   => trailingslashit( get_template_directory() ) . 'inc/demos/all/theme_settings.json',
                    'option_name' => 'landpagy_opt',
                ),
            ),
        ),

        array(
            'import_file_name'             => esc_html__( 'HRM Software', 'landpagy' ),
            'local_import_file'            => trailingslashit( get_template_directory() ) . 'inc/demos/all/contents.xml',
            'local_import_widget_file'     => trailingslashit( get_template_directory() ) . 'inc/demos/all/widgets.wie',
            'import_preview_image_url'     => trailingslashit( get_template_directory_uri() ) . 'inc/demos/img/7_hrm-software.png',
            'preview_url'                  => 'https://wordpress-theme.spider-themes.net/landpagy/hrm-software/',
            'local_import_redux'           => array(
                array(
                    'file_path'   => trailingslashit( get_template_directory() ) . 'inc/demos/all/theme_settings.json',
                    'option_name' => 'landpagy_opt',
                ),
            ),
        ),

        array(
            'import_file_name'             => esc_html__( 'Prototype', 'landpagy' ),
            'local_import_file'            => trailingslashit( get_template_directory() ) . 'inc/demos/all/contents.xml',
            'local_import_widget_file'     => trailingslashit( get_template_directory() ) . 'inc/demos/all/widgets.wie',
            'import_preview_image_url'     => trailingslashit( get_template_directory_uri() ) . 'inc/demos/img/8_prototype.png',
            'preview_url'                  => 'https://wordpress-theme.spider-themes.net/landpagy/prototype/',
            'local_import_redux'           => array(
                array(
                    'file_path'   => trailingslashit( get_template_directory() ) . 'inc/demos/all/theme_settings.json',
                    'option_name' => 'landpagy_opt',
                ),
            ),
        ),

        array(
            'import_file_name'             => esc_html__( 'POS Software', 'landpagy' ),
            'local_import_file'            => trailingslashit( get_template_directory() ) . 'inc/demos/all/contents.xml',
            'local_import_widget_file'     => trailingslashit( get_template_directory() ) . 'inc/demos/all/widgets.wie',
            'import_preview_image_url'     => trailingslashit( get_template_directory_uri() ) . 'inc/demos/img/9_pos-software.png',
            'preview_url'                  => 'https://wordpress-theme.spider-themes.net/landpagy/pos-software/',
            'local_import_redux'           => array(
                array(
                    'file_path'   => trailingslashit( get_template_directory() ) . 'inc/demos/all/theme_settings.json',
                    'option_name' => 'landpagy_opt',
                ),
            ),
        ),

        array(
            'import_file_name'             => esc_html__( 'Help Center', 'landpagy' ),
            'local_import_file'            => trailingslashit( get_template_directory() ) . 'inc/demos/all/contents.xml',
            'local_import_widget_file'     => trailingslashit( get_template_directory() ) . 'inc/demos/all/widgets.wie',
            'import_preview_image_url'     => trailingslashit( get_template_directory_uri() ) . 'inc/demos/img/10_help-center.png',
            'preview_url'                  => 'https://wordpress-theme.spider-themes.net/landpagy/help-center/',
            'local_import_redux'           => array(
                array(
                    'file_path'   => trailingslashit( get_template_directory() ) . 'inc/demos/all/theme_settings.json',
                    'option_name' => 'landpagy_opt',
                ),
            ),
        ),


    );
}

function landpagy_after_import_setup($selected_import) {

    // Assign menus to their locations.
    $main_menu = get_term_by( 'name', 'Main Menu', 'nav_menu' );
    set_theme_mod( 'nav_menu_locations', array (
            'main_menu' => $main_menu->term_id,
        )
    );

    // Disable Elementor's Default Colors and Default Fonts
    update_option( 'elementor_disable_color_schemes', 'yes' );
    update_option( 'elementor_disable_typography_schemes', 'yes' );
    update_option( 'elementor_global_image_lightbox', '' );

	// Assign front page and posts page (blog page).
	if ( 'Project Management' == $selected_import['import_file_name'] ) {
		$front_page_id = landpagy_get_page_title( 'Home - Project Management' );
	}

	if ( 'Software Company' == $selected_import['import_file_name'] ) {
		$front_page_id = landpagy_get_page_title( 'Home - Software Company' );
	}

	if ( 'Software Demo Landing' == $selected_import['import_file_name'] ) {
		$front_page_id = landpagy_get_page_title( 'Home - Software Demo Landing' );
	}

	if ( 'Payment Processing' == $selected_import['import_file_name'] ) {
		$front_page_id = landpagy_get_page_title( 'Home - Payment Processing' );
	}

	if ( 'Account Billing Software' == $selected_import['import_file_name'] ) {
		$front_page_id = landpagy_get_page_title( 'Home - Account Billing Software' );
	}

    if ( 'Cloud Saas' == $selected_import['import_file_name'] ) {
        $front_page_id = landpagy_get_page_title( 'Home - Cloud Saas' );
    }

    if ( 'HRM Software' == $selected_import['import_file_name'] ) {
        $front_page_id = landpagy_get_page_title( 'Home - HRM Software' );
    }

    if ( 'Prototype' == $selected_import['import_file_name'] ) {
        $front_page_id = landpagy_get_page_title( 'Home - Prototype' );
    }

    if ( 'POS Software' == $selected_import['import_file_name'] ) {
        $front_page_id = landpagy_get_page_title( 'Home - POS Software' );
    }

    if ( 'Help Center' == $selected_import['import_file_name'] ) {
        $front_page_id = landpagy_get_page_title( 'Home - Help Center' );
    }

    $blog_page_id  = landpagy_get_page_title( 'Blog' );

    // Set the home page and blog page
    update_option( 'show_on_front', 'page' );
    update_option( 'page_on_front', $front_page_id );
    update_option( 'page_for_posts', $blog_page_id );

    //Default Widgets None
    update_option( 'widget_recent-posts', 'no' );
    update_option( 'widget_recent-comments', 'no' );
    update_option( 'widget_meta', 'no' );

}

add_action( 'pt-ocdi/after_import', 'landpagy_after_import_setup' );