<?php
// Register Widget areas
add_action('widgets_init', function() {

    //=============================== Blog Sidebar Widgets ==========================//
    register_sidebar( array(
        'name'          => esc_html__( 'Primary Sidebar', 'landpagy' ),
        'description'   => esc_html__( 'Place widgets in sidebar widgets area.', 'landpagy' ),
        'id'            => 'sidebar_widgets',
        'before_widget' => '<div id="%1$s" class="widget sidebar_widget %2$s">',
        'after_widget'  => '</div>',
        'before_title'  => '<h3 class="c_head">',
        'after_title'   => '</h3>'
    ));

    //=========================== Shop Sidebar =========================//
    if (class_exists( 'WooCommerce')) {
        register_sidebar(array(
            'name' => esc_html__( 'Shop sidebar', 'landpagy' ),
            'description' => esc_html__( 'Place widgets here for WooCommerce shop page.', 'landpagy' ),
            'id' => 'shop_sidebar',
            'before_widget' => '<div id="%1$s" class="widget %2$s">',
            'after_widget' => '</div>',
            'before_title' => '<h3 class="sp_widget_title">',
            'after_title' => '</h3>'
        ));
    }


    //=============================== Footer Widgets ==========================//
    register_sidebar(array(
        'name'          => esc_html__( 'Footer Widgets', 'landpagy' ),
        'description'   => esc_html__( 'Add widgets here for Footer widgets area', 'landpagy' ),
        'id'            => 'footer_widgets',
        'before_widget' => '<div id="%1$s" class="footer_widget col-lg-3 col-md-6">
                            <div class="widget f_widget %2$s">',
        'after_widget'  => '</div></div>',
        'before_title'  => '<h3 class="f_title">',
        'after_title'   => '</h3>'
    ));

});
