<?php
Redux::set_section('landpagy_opt', array(
	'title'     => esc_html__( 'General', 'landpagy' ),
	'id'        => 'general_settings',
	'icon'      => 'dashicons dashicons-admin-generic',
));



/**
 * Pre-loader Settings
 */
Redux::set_section( 'landpagy_opt', array(
    'title'            => esc_html__( 'Preloader', 'landpagy' ),
    'id'               => 'preloader_opt',
    'icon'             => '',
    'subsection'       => true,
    'fields'           => array(
        array(
            'id'        => 'is_preloader',
            'type'      => 'switch',
            'title'     => esc_html__( 'Pre-loader', 'landpagy' ),
            'on'        => esc_html__( 'Enabled', 'landpagy' ),
            'off'       => esc_html__( 'Disabled', 'landpagy' ),
            'default'   => true,
        ),

        array(
            'title'     => esc_html__( 'Enable Pre-loader on', 'landpagy' ),
            'id'        => 'preloader_pages',
            'type'      => 'select',
            'options'   => [
                'all' => esc_html__( 'All Pages', 'landpagy' ),
                'specific_pages' => esc_html__( 'Specific Pages', 'landpagy' ),
            ],
            'default'   => 'all',
            'required' => array (
                array ( 'is_preloader', '=', '1' ),
            )
        ),

        array(
            'title'     => esc_html__( 'Page IDs', 'landpagy' ),
            'subtitle'  => esc_html__( "Input the multiple page IDs in comma separated format.", 'landpagy' ),
            'desc'      => sprintf(esc_html__('%s How to find page ID %s', 'landpagy'), '<a href="https://is.gd/xM75oQ" target="_blank">', '</a>' ),
            'id'        => 'preloader_page_ids',
            'type'      => 'text',
            'required' => array (
                array ( 'is_preloader', '=', '1' ),
                array ( 'preloader_pages', '=', 'specific_pages' ),
            )
        ),

        array(
            'id'            => 'preloader_logo',
            'type'          => 'media',
            'title'         => esc_html__( 'Pre-loader Logo', 'landpagy' ),
            'default'       => array(
                'url' => LANDPAGY_DIR_IMG . '/logo/pre-loader-logo.svg'
            ),
        ),

        array(
            'id'            => 'logo_title',
            'type'          => 'text',
            'title'         => esc_html__( 'Logo Title', 'landpagy' ),
            'default'       => get_bloginfo( 'name' ),
        ),

        /**
         * Preloader Title
         */
        array(
            'id'            => 'preloader_title',
            'type'          => 'text',
            'title'         => esc_html__( 'Preloader Title', 'landpagy' ),
            'required'      => array( 'is_preloader', '=', '1' ),
            'default'       => 'Did You Know?'
        ),

        /**
         * Preloader Quotes
         */
        array(
            'required'      => array( 'is_preloader', '=', '1' ),
            'id'            => 'preloader_quotes',
            'type'          => 'multi_text',
            'title'         => esc_html__( 'Quotes', 'landpagy' ),
            'subtitle'      => esc_html__( 'The quotes will display randomly under the title.', 'landpagy' ),
            'default'       => 'Did You Know?'
        ),
    )
));



/**
 * Back to Top Button Settings
 */
Redux::set_section('landpagy_opt', array(
	'title'     => esc_html__( 'Back to Top', 'landpagy' ),
	'id'        => 'back_to_top_btn',
	'icon'      => '',
	'subsection' => true,
	'fields'    => array(
		array(
			'title'     => esc_html__( 'Back to Top Button', 'landpagy' ),
			'subtitle'  => esc_html__( 'Show/hide back to top button globally settings', 'landpagy' ),
			'id'        => 'is_back_to_top_btn_switcher',
			'type'      => 'switch',
            'on'        => esc_html__( 'Show', 'landpagy' ),
            'off'       => esc_html__( 'Hide', 'landpagy' ),
            'default'   => '1',
		),

        /**
         * Button Normal Colors
         */
        array(
            'id' => 'normal_color_start',
            'type' => 'section',
            'title' => esc_html__( 'Normal Color', 'landpagy' ),
            'indent' => true,
            'required' => array( 'is_back_to_top_btn_switcher', '=', 1 )
        ),
        array(
            'title'     => esc_html__( 'Icon Color', 'landpagy' ),
            'id'        => 'back_to_top_btn_icon_color',
            'type'      => 'color',
            'output'    => array(
                'color' => '#back-to-top::after'
            ),
        ),
        array(
            'title'     => esc_html__( 'Background Color', 'landpagy' ),
            'id'        => 'back_to_top_btn_bg_color',
            'type'      => 'color_rgba',
            'output'    => array(
                'background-color' => '#back-to-top'
            ),
        ),
        array(
            'id' => 'normal_color_end',
            'type' => 'section',
            'indent' => true
        ),

        /**
         * Button Hover Colors
         */
        array(
            'id' => 'hover_color_start',
            'type' => 'section',
            'title'     => esc_html__( 'Hover Color', 'landpagy' ),
            'indent' => true,
            'required' => array( 'is_back_to_top_btn_switcher', '=', 1 )
        ),
        array(
            'title'     => esc_html__( 'Icon Color', 'landpagy' ),
            'id'        => 'back_to_top_btn_icon_hover_color',
            'type'      => 'color',
            'output'    => array(
                'color' => '#back-to-top:hover::after'
            ),
        ),
        array(
            'title'     => esc_html__( 'Background Color', 'landpagy' ),
            'id'        => 'back_to_top_btn_bg_hover_color',
            'type'      => 'color_rgba',
            'output'    => array(
                'background-color' => '#back-to-top:hover'
            ),
        ),
        array(
            'id' => 'hover_color_end',
            'type' => 'section',
            'indent' => true
        ),
	)
));