<?php
// Header Section
Redux::set_section( 'landpagy_opt', array(
    'title'            => esc_html__( 'Header', 'landpagy' ),
    'id'               => 'header_sec',
    'customizer_width' => '400px',
    'icon'             => 'dashicons dashicons-arrow-up-alt2',
));


// Logo
Redux::set_section( 'landpagy_opt', array(
    'title'            => esc_html__( 'Logo', 'landpagy' ),
    'id'               => 'logo_opt',
    'subsection'       => true,
    'icon'             => '',
    'fields'           => array(
        array(
            'title'     => esc_html__( 'Main Logo', 'landpagy' ),
            'subtitle'  => esc_html__( 'Upload here a image file for your logo', 'landpagy' ),
            'id'        => 'main_logo',
            'type'      => 'media',
            'default'   => array(
                'url'   => LANDPAGY_DIR_IMG.'/logo/logo.svg'
            )
        ),

        array(
            'title'     => esc_html__( 'Sticky Logo', 'landpagy' ),
            'id'        => 'sticky_logo',
            'type'      => 'media',
            'default'   => array(
                'url'   => LANDPAGY_DIR_IMG.'/logo/logo.svg'
            )
        ),

        array(
            'title'     => esc_html__( 'Retina Main Logo', 'landpagy' ),
            'subtitle'  => esc_html__( 'The retina logo should be double (2x) of your original logo', 'landpagy' ),
            'id'        => 'main_retina_logo',
            'type'      => 'media',
            'default'   => array(
                'url'   => LANDPAGY_DIR_IMG.'/logo/logo.svg'
            )
        ),

        array(
            'title'     => esc_html__( 'Retina Sticky Logo', 'landpagy' ),
            'subtitle'  => esc_html__( 'The retina logo should be double (2x) of your original logo', 'landpagy' ),
            'id'        => 'retina_sticky_logo',
            'type'      => 'media',
            'default'   => array(
                'url'   => LANDPAGY_DIR_IMG.'/logo/logo.svg'
            )
        ),

        array(
            'title'     => esc_html__( 'Logo dimensions', 'landpagy' ),
            'subtitle'  => esc_html__( 'Set a custom height width for your upload logo.', 'landpagy' ),
            'id'        => 'logo_dimensions',
            'type'      => 'dimensions',
            'units'     => array( 'em','px','%' ),
            'output'    => '.navbar-brand>img'
        ),

        array(
            'title'     => esc_html__( 'Padding', 'landpagy' ),
            'subtitle'  => esc_html__( 'Padding around the logo. Input the padding as clockwise (Top Right Bottom Left)', 'landpagy' ),
            'id'        => 'logo_padding',
            'type'      => 'spacing',
            'output'    => array( '.header_area .navbar-brand' ),
            'mode'      => 'padding',
            'units'     => array( 'em', 'px', '%' ),      // You can specify a unit value. Possible: px, em, %
            'units_extended' => 'true',
        ),
    )
) );

/**
 * Action button
 */
Redux::set_section( 'landpagy_opt', array(
    'title'            => esc_html__( 'Action Button', 'landpagy' ),
    'id'               => 'menu_action_btn_opt',
    'subsection'       => true,
    'icon'             => '',
    'fields'           => array(

        array(
            'title'     => esc_html__( 'Button Visibility', 'landpagy' ),
            'id'        => 'is_menu_btn',
            'type'      => 'switch',
            'on'        => esc_html__( 'Show', 'landpagy' ),
            'off'       => esc_html__( 'Hide', 'landpagy' ),
        ),

        array(
            'title'     => esc_html__( 'Button label', 'landpagy' ),
            'subtitle'  => esc_html__( 'Leave the button label field empty to hide the menu action button.', 'landpagy' ),
            'id'        => 'menu_btn_label',
            'type'      => 'text',
            'default'   => esc_html__( 'Sign in', 'landpagy' ),
            'required'  => array( 'is_menu_btn', '=', '1' )
        ),

        array(
            'title'     => esc_html__( 'Button URL', 'landpagy' ),
            'id'        => 'menu_btn_url',
            'type'      => 'text',
            'default'   => '#',
            'required'  => array( 'is_menu_btn', '=', '1' )
        ),

        array(
            'title'     => esc_html__( 'Button URL Target', 'landpagy' ),
            'id'        => 'menu_btn_target',
            'type'      => 'select',
            'options'   => array(
            	'_blank' => esc_html__( 'Blank (Open in new tab)', 'landpagy' ),
            	'_self' => esc_html__( 'Self (Open in the same tab)', 'landpagy' ),
            ),
            'default'   => '_self',
            'required'  => array( 'is_menu_btn', '=', '1' )
        ),

	    array(
		    'title'     => esc_html__( 'Button padding', 'landpagy' ),
		    'subtitle'  => esc_html__( 'Padding around the menu action button.', 'landpagy' ),
		    'id'        => 'menu_btn_padding',
		    'type'      => 'spacing',
		    'output'    => array( '.navbar .right-nav .btn' ),
		    'mode'      => 'padding',
		    'units'     => array( 'em', 'px', '%' ),      // You can specify a unit value. Possible: px, em, %
		    'units_extended' => 'true',
		    'required'  => array( 'is_menu_btn', '=', '1' )
	    ),

        /**
         * Button colors
         * Style will apply on the Non sticky mode and sticky mode of the header
         */
        array(
            'title'     => esc_html__( 'Button Colors', 'landpagy' ),
            'subtitle'  => esc_html__( 'Button style attributes on normal (non sticky) mode.', 'landpagy' ),
            'id'        => 'button_colors',
            'type'      => 'section',
            'indent'    => true,
            'required'  => array( 'is_menu_btn', '=', '1' ),
        ),

        array(
            'title'     => esc_html__( 'Font color', 'landpagy' ),
            'id'        => 'menu_btn_font_color',
            'type'      => 'color',
            'output'    => array( '.navbar .right-nav .btn' ),
        ),
        
        array(
            'title'     => esc_html__( 'Background Color', 'landpagy' ),
            'id'        => 'menu_btn_bg_color',
            'type'      => 'color',
            'mode'      => 'background',
            'output'    => array( '.navbar .right-nav .btn' ),
        ),

        // Button color on hover stats
        array(
            'title'     => esc_html__( 'Hover Font Color', 'landpagy' ),
            'subtitle'  => esc_html__( 'Font color on hover stats.', 'landpagy' ),
            'id'        => 'menu_btn_hover_font_color',
            'type'      => 'color',
            'output'    => array( '.navbar .right-nav .btn:hover' ),
        ),

        array(
            'title'     => esc_html__( 'Hover background color', 'landpagy' ),
            'subtitle'  => esc_html__( 'Background color on hover stats.', 'landpagy' ),
            'id'        => 'menu_btn_hover_bg_color',
            'type'      => 'color',
            'mode'      => 'background',
            'output'    => array( '.navbar .right-nav .btn:hover' ),
        ),

        array(
            'id'     => 'button_colors-end',
            'type'   => 'section',
            'indent' => false,
        ),

        /*
         * Button colors on sticky mode
         */
        array(
            'title'     => esc_html__( 'Sticky Button Style', 'landpagy' ),
            'subtitle'  => esc_html__( 'Button colors on sticky mode.', 'landpagy' ),
            'id'        => 'button_colors_sticky',
            'type'      => 'section',
            'indent'    => true,
            'required'  => array( 'is_menu_btn', '=', '1' ),
        ),

        array(
            'title'     => esc_html__( 'Font color', 'landpagy' ),
            'id'        => 'menu_btn_font_color_sticky',
            'type'      => 'color',
            'output'    => array( '.navbar.navbar_fixed .right-nav .btn' ),
        ),

        array(
            'title'     => esc_html__( 'Background color', 'landpagy' ),
            'id'        => 'menu_btn_bg_color_sticky',
            'type'      => 'color',
            'mode'      => 'background',
            'output'    => array( '.navbar.navbar_fixed .right-nav .btn' ),
        ),

        // Button color on hover stats
        array(
            'title'     => esc_html__( 'Hover font color', 'landpagy' ),
            'subtitle'  => esc_html__( 'Font color on hover stats.', 'landpagy' ),
            'id'        => 'menu_btn_hover_font_color_sticky',
            'type'      => 'color',
            'output'    => array( '.navbar.navbar_fixed .right-nav .btn:hover' ),
        ),
        array(
            'title'     => esc_html__( 'Hover background color', 'landpagy' ),
            'subtitle'  => esc_html__( 'Background color on hover stats.', 'landpagy' ),
            'id'        => 'menu_btn_hover_bg_color_sticky',
            'type'      => 'color',
            'output'    => array(
                'background' => '.navbar.navbar_fixed .right-nav .btn:hover',
            ),
        ),

        array(
            'id'     => 'button_colors-sticky-end',
            'type'   => 'section',
            'indent' => false,
        ),
    )
));