<?php
/**
 * The template for displaying all single posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * @package landpagy
 */

get_header();

landpagy_get_banner();

global $landpagy_opt;
$blog_column = is_active_sidebar( 'sidebar_widgets' ) ? '8' : '12';
$thumb_size = is_active_sidebar( 'sidebar_widgets' ) ? 'landpagy_690x418' : 'full';

if ( isset($_GET['elementor_library']) ) {
    while (have_posts()) : the_post();
        the_content();
        wp_link_pages(array(
            'before' => '<div class="page-links"><span class="page-links-title">' . esc_html__('Pages:', 'landpagy') . '</span>',
            'after' => '</div>',
            'link_before' => '<span>',
            'link_after' => '</span>',
            'pagelink' => '<span class="screen-reader-text">' . esc_html__('Page', 'landpagy') . ' </span>%',
            'separator' => '<span class="screen-reader-text">, </span>',
        ));
    endwhile;
} else {
    ?>
    <section class="blog-post-area pt-100 pb-140">
        <div class="container">
            <div class="row">
                <div class="col-lg-<?php echo esc_attr($blog_column) ?>">
                    <?php
                    if ( class_exists('ReduxFrameworkPlugin') ) {
                        ?>
                        <div class="post_social_icon">
                            <span><?php esc_html_e( 'Share Now', 'landpagy' ); ?></span>
                            <ul class="list-unstyled ">
                                <?php Landpagy_Helper()->social_share(); ?>
                            </ul>
                        </div>
                        <?php
                    }
                    ?>
                    <div class="single-post-area">
                        <div class="blog_single_post<?php echo has_tag() ? ''  : ' is_not_tag'; ?>">
                            <?php if ( have_posts() && get_the_content() ) : ?>
                                <div class="single-post-item">
                                    <?php
                                    the_post_thumbnail($thumb_size, array( 'class' => 'mb-30' ));
                                    while ( have_posts() ) : the_post();
                                        $user_desc = get_the_author_meta( 'description' );
                                        the_content();
                                        wp_link_pages( array(
                                            'before'      => '<div class="page-links"><span class="page-links-title">' . esc_html__( 'Pages:', 'landpagy' ) . '</span>',
                                            'after'       => '</div>',
                                            'link_before' => '<span>',
                                            'link_after'  => '</span>',
                                            'pagelink'    => '<span class="screen-reader-text">' . esc_html__( 'Page', 'landpagy' ) . ' </span>%',
                                            'separator'   => '<span class="screen-reader-text">, </span>',
                                        ));
                                    endwhile;
                                    ?>
                                </div>
                            <?php
                            endif;
                            if ( has_tag() ) { ?>
                                <div class="tag-widget mb-50">
                                    <?php the_tags( '<ul class="list-unstyled tag-list"><li><p>'.esc_html__('Tags :', 'landpagy').'</p></li><li>', '</li><li>', '</li></ul>' ); ?>
                                </div>
                                <?php
                            }
                            ?>
                        </div>

                        <?php
                        if ( !empty($user_desc) ) {
                            ?>
                            <div class="single-post-author mb-60">
                                <div class="author-img">
                                    <?php echo get_avatar( get_the_author_meta( 'user_email' ), 50, '', 'Author', array( 'class' => 'rounded-circle' ) ); ?>
                                </div>
                                <div class="author-body">
                                    <a href="<?php echo get_author_posts_url(get_the_author_meta('ID')) ?>">
                                        <h5 class="auth-name"><?php echo get_the_author_meta('display_name') ?></h5>
                                    </a>
                                    <?php echo wp_kses_post(wpautop($user_desc)) ?>
                                </div>
                            </div>
                            <?php
                        }

                        // Related posts
                        if ( is_singular('post') ) {
                            get_template_part( 'template-parts/single-post/related-posts' );
                        }

                        // If comments are open or we have at least one comment, load up the comment template.
                        if ( comments_open() || get_comments_number() ) {
                            comments_template();
                        }
                        ?>
                    </div>
                </div>

                <?php get_sidebar()  ?>

            </div>
        </div>
    </section>
    <?php
}

get_footer();