<?php
$post_author_id = get_post_field( 'post_author', get_the_ID() );
?>

<section class="blog-banner-area blog-single-banner">
    <img class="position-absolute one" src="<?php echo LANDPAGY_DIR_IMG . '/banner/leaf_right.png' ?>" alt="<?php esc_attr_e('person', 'landpagy'); ?>">
    <div class="container">
        <div class="row">
            <div class="col-lg-12">
                <div class="post-content">
                    <div class="post-category">
                        <?php
                        if ( has_category() ) {
                            $categories = get_the_category();
                            foreach ( $categories as $term ) {
                                ?>
                                <a href="<?php echo esc_url( get_category_link( $term->term_id )) ?>" class="cate-btn">
                                    <?php echo esc_html( $term->name ) ?>
                                </a>
                                <?php
                            }
                        }
                        ?>
                    </div>
                    <h1 class="banner-title">
                        <?php the_title() ?>
                    </h1>
                    <div class="d-flex">
                        <div class="post-author pr-20">
                            <a href="#" class="auth-name">
                                <i class="far fa-user-circle"></i>
                                <?php echo get_the_author_meta('display_name', $post_author_id) ?>
                            </a>
                        </div>
                        <div class="post-date">
                            <p>
                                <i class="far fa-calendar-alt"></i>
                                <?php the_time(get_option('date_format')); ?>
                            </p>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>