<?php
$cats = get_the_terms(get_the_ID(), 'category' );
$cat_ids = wp_list_pluck($cats,'term_id' );
$is_related = landpagy_opt('is_related_posts');
$related_post_count = landpagy_opt('related_posts_count');
$posts = new WP_Query( array(
    'post_type' => 'post',
    'tax_query' => array(
        array(
            'taxonomy' => 'category',
            'field' => 'id',
            'terms' => $cat_ids,
            'operator'=> 'IN' //Or 'AND' or 'NOT IN'
        )),
    'posts_per_page' => $related_post_count,
    'ignore_sticky_posts' => 1,
    'orderby' => 'rand',
    'post__not_in' => array($post->ID)
));

if ( $is_related == '1' && $posts->have_posts() ) :
    ?>
    <div class="row mb-20">
        <?php
        if (landpagy_opt('related_posts_title')) : ?>
            <h4 class="widget-title"> <?php echo esc_html(landpagy_opt('related_posts_title')) ?> </h4>
        <?php endif; ?>
        <div class="row">
            <?php
            while($posts->have_posts()) : $posts->the_post(); ?>
                <div class="col-md-6">
                    <div class="post-item" data-wow-delay="0.2s">
                        <?php the_post_thumbnail('landpagy_360x240'); ?>
                        <div class="post-content">
                            <div class="post-category">
                                <a href="<?php Landpagy_helper()->first_taxonomy_link(); ?>" class="cate-btn">
                                    <?php Landpagy_helper()->first_taxonomy(); ?>
                                </a>
                            </div>
                            <h4 class="post-title">
                                <a href="<?php the_permalink(); ?>" title="<?php the_title_attribute() ?>">
                                    <?php Landpagy_helper()->limit_latter(get_the_title(), 45, ''); ?>
                                </a>
                            </h4>
                            <p class="post-para"><?php Landpagy_helper()->limit_latter(wp_strip_all_tags(get_the_content()), 55); ?></p>
                            <div class="d-flex justify-content-between">
                                <div class="post-author">
                                    <a href="<?php echo get_author_posts_url(get_the_author_meta('ID')) ?>" class="auth-name">
                                        <i class="far fa-user-circle"></i>
                                        <?php echo get_the_author_meta('display_name') ?>
                                    </a>
                                </div>
                                <div class="post-date">
                                    <p>
                                        <i class="far fa-calendar-alt"></i>
                                        <?php the_time(get_option('date_format')); ?>
                                    </p>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            <?php
            endwhile;
            wp_reset_postdata();
            ?>
        </div>
    </div>
    <?php
endif;