(function ($, elementor) {
    "use strict";
    var $window = $(elementor);

    var landpagy = {
        onInit: function () {
            var E_FRONT = elementorFrontend;
            var widgetHandlersMap = {
                //"landpagy_hero.default"           : landpagy.mailchimp,
                "landpagy_testimonials_carousel.default"     : landpagy.testimonials_carousel,
                "landpagy_testimonials.default"              : landpagy.testimonials,
                "landpagy_tabs.default"                      : landpagy.tabs,
                "landpagy_mailchimp.default"                 : landpagy.mailchimp,
                "landpagy_parallax.default"                  : landpagy.parallax,
                "landpagy_locations.default"                 : landpagy.locations,
                "landpagy_faqs.default"                      : landpagy.faqs,
                "landpagy_integrations.default"              : landpagy.integrations,
                "landpagy_portfolio.default"                 : landpagy.filterablePortfolio,
                "landpagy_blog.default"                      : landpagy.blog,
                "landpagy_timeline_carousel.default"         : landpagy.timeline_carousel,
                "landpagy_counter.default"                   : landpagy.counterUp,
                "landpagy_pricing_table_switcher.default"    : landpagy.pricing_table_switcher,
                "landpagy_processes.default"                 : landpagy.processes,
                "landpagy_wpml.default"                      : landpagy.wpml,
                "landpagy_pricing_table_tabs.default"        : landpagy.pricing_table_tabs,
                "landpagy_contact_form.default"              : landpagy.contact_form,
                "landpagy_screen_features.default"           : landpagy.screenFeatures,
            };

            $.each(widgetHandlersMap, function (widgetName, callback) {
                E_FRONT.hooks.addAction("frontend/element_ready/" + widgetName, callback);
            });

        },



        //======================== Pricing Table Tabs =========================== //
        screenFeatures: function ($scope) {

            //============= Currency Changes
            let $screen_features = $scope.find('#how_it_works_desktop');
            if ( $screen_features.length > 0 ) {
                window.addEventListener('scroll', function () {
                    var how_it_works_desktop = document.getElementById('how_it_works_desktop');
                    var how_it_works_desktop_box_each = how_it_works_desktop.offsetHeight / 4;

                    if (window.scrollY + window.innerHeight > how_it_works_desktop.offsetTop) {
                        how_it_works_desktop.classList.add('animate_active');
                        how_it_works_desktop.classList.add('box1');
                        how_it_works_desktop.classList.remove('box2');
                    }
                    if (
                        window.scrollY + window.innerHeight > how_it_works_desktop.offsetTop + how_it_works_desktop.offsetHeight ||
                        window.scrollY + window.innerHeight < how_it_works_desktop.offsetTop
                    ) {
                        how_it_works_desktop.classList.remove('animate_active');
                    }

                    if (window.scrollY + window.innerHeight > how_it_works_desktop.offsetTop + how_it_works_desktop_box_each * 2) {
                        how_it_works_desktop.classList.add('box2');
                        how_it_works_desktop.classList.remove('box1');
                        how_it_works_desktop.classList.remove('box3');
                    }

                    if (window.scrollY + window.innerHeight > how_it_works_desktop.offsetTop + how_it_works_desktop_box_each * 3) {
                        how_it_works_desktop.classList.add('box3');
                        how_it_works_desktop.classList.remove('box2');
                    }
                });

                // add on click event
                $('#slideshow1').on('click', function () {
                    $screen_features.addClass('box1');
                    $screen_features.removeClass('box2 box3');
                });
                $('#slideshow2').on('click', function () {
                    $screen_features.addClass('box2');
                    $screen_features.removeClass('box1 box3');
                });
                $('#slideshow3').on('click', function () {
                    $screen_features.addClass('box3');
                    $screen_features.removeClass('box2 box1');
                });
            }


        },


        //======================== Pricing Table Tabs =========================== //
        contact_form: function ($scope) {

            //============= Currency Changes
            let $nice_select = $scope.find('.nice-select-common');

            if ( $nice_select.length > 0 ) {
                $nice_select.niceSelect();
            }


        },

        //======================== Pricing Table Tabs =========================== //
        pricing_table_tabs: function ($scope) {


            //============= Currency Changes
            let $pricing_currency = $scope.find('.pricing-currency');
            if ( $pricing_currency.length > 0 ) {
                var dollar = $('.price .dollar');
                var euro = $('.price .euro');

                $pricing_currency.on('change', function () {
                    if ($('.pricing-currency').val() === 'EURO') {
                        dollar.css('display', 'none');
                        euro.css('display', 'inline-block');
                    } else {
                        euro.css('display', 'none');
                        dollar.css('display', 'inline-block');
                    }
                });
            }

        },

        //======================== Counter Up =========================== //
        wpml: function ($scope) {

            let $nice_select = $scope.find('.nice-select-common');
            if ( $nice_select.length > 0 ) {
                $nice_select.niceSelect();
            }

        },



        //======================== Counter Up =========================== //
        processes: function ($scope) {

            //=============== Pricing Table 06
            let $counter = $scope.find('.counter');
            if ( $counter.length > 0 ) {
                var counter = $(".counter");
                counter.counterUp({
                    delay: 20,
                    time: 1000,
                });
            }


        },


        //======================== Counter Up =========================== //
        pricing_table_switcher: function ($scope) {

            //=============== Pricing Table 06
            let $table_switcher_1 = $scope.find('.pricing-switcher-2 .nav-link');
            if ( $table_switcher_1.length > 0 ) {
                $table_switcher_1.on('click', function() {
                    if ( $("#monthly-tab").hasClass("active") ) {
                        $(".switcher-bg").removeClass("right");
                    } else {
                        $(".switcher-bg").addClass("right");
                    }
                })
            }

        },


        //======================== Counter Up =========================== //
        counterUp: function ($scope) {

            let $statistics_slider = $scope.find('.statistics-slider');
            if ( $statistics_slider.length > 0 ) {
                $statistics_slider.slick({
                    dots: true,
                    arrows: false,
                    slidesToShow: 1,
                    autoplay: true,
                    infinite: true,
                    autoplaySpeed: 3000,
                    slidesToScroll: 1,
                });
            }
        },


        //========================= Timeline Carousel ===========================//
        timeline_carousel: function ($scope) {

            let $timeline_1 = $scope.find( '.history-wrapper' )

            if ( $timeline_1.length > 0 ) {
                let $carousel = $timeline_1;
                let $slider;

                $carousel.slick({
                    speed : 300,
                    arrows: false,
                    infinite: false,
                    loop: false,
                    slidesToShow: 3,
                    responsive: [
                        {
                            breakpoint: 800,
                            settings: {
                                slidesToShow: 2,
                                slidesToScroll: 1,
                            }
                        },
                        {
                            breakpoint: 480,
                            settings: {
                                slidesToShow: 1,
                                slidesToScroll: 1,
                            }
                        }
                    ],
                }).on('afterChange', (e, slick, slide) => {
                    $slider.slider('value', slide);
                });

                $slider = $( ".history-scrollbar" ).slider({
                    min : 0,
                    max : 7,
                    slide: function(event, ui) {
                        var slick = $carousel.slick( "getSlick" ),
                            goTo = ui.value * (slick.slideCount-1) / 7;
                        // console.log( goTo );
                        $carousel.slick( "goTo", goTo );
                    }
                });

            }
        },


        //========================= Filterable Portfolio ===========================//
        blog: function ($scope) {

            //====== Portfolio Style 01
            let $blog_1 = $scope.find( '.app-blog-slider' )

            if ( $blog_1.length > 0 ) {
                $blog_1.slick({
                    dots: false,
                    arrows: true,
                    centerMode: false,
                    slidesToShow: 3,
                    autoplay: false,
                    infinite: true,
                    slidesToScroll: 3,
                    prevArrow:
                        '<button type="button" class="slick-prev"><i class="arrow_left"></i></button>',
                    nextArrow:
                        '<button type="button" class="slick-next"><i class="arrow_right"></i></button>',
                    responsive: [
                        {
                            breakpoint: 1200,
                            settings: {
                                slidesToShow: 2,
                                slidesToScroll: 2,
                            },
                        },
                        {
                            breakpoint: 768,
                            settings: {
                                slidesToShow: 1,
                                slidesToScroll: 1,
                            },
                        },
                    ],
                });
            }

            //====== Portfolio Style 08
            let $blog_2 = $scope.find( '.shadow-sm' );

            if ( $blog_2.length > 0 ) {
                $blog_2.hover(
                    function () {
                        $(this).addClass('shadow-lg');
                    },
                    function () {
                        $(this).removeClass('shadow-lg');
                    }
                );
            }

        },



        //========================= Filterable Portfolio ===========================//
        filterablePortfolio: function ($scope) {

            //====== Portfolio Style 01
            let $portfolio_1 = $scope.find( '.software-titles li' )
            if ( $portfolio_1.length > 0 ) {
                $portfolio_1.on('click', function () {

                    $('.software-titles li').removeClass("active");
                    $(this).addClass("active");

                    var selector = $(this).attr('data-filter');
                    $(".software-list").isotope({
                        filter: selector
                    });
                });
            }

        },


        //=============================== Integrations ===========================//
        integrations: function ($scope) {

            //=========== Integrations Style 01
            function Custom_Rotate_loop(i) {
                var timeCount = i + 1;
                let $integrations_1 = $scope.find( '.integreted-app .app' )
                if ( $integrations_1.length > 0) {
                    $integrations_1.each(function (params) {
                        var Trans = $(this).css("transform").split(",");
                        var tranlateX = parseInt(Trans[4]);
                        var tranlateY = parseInt(Trans[5]);
                        $(this).css(
                            "transform",
                            `translateX(${tranlateX}px) translateY(${tranlateY}px)  rotate(-${
                                45 * timeCount
                            }deg)`
                        );
                    });

                    $(".integreted-app").css("transform", `rotate(${45 * timeCount}deg)`);
                    setTimeout(function () {
                        Custom_Rotate_loop(timeCount);
                    }, 4500);

                }
            }
            Custom_Rotate_loop(0);


        },


        //=============================== FAQs ===========================//
        faqs: function ($scope) {

            //=========== FAQs Style 01
            let $faq_area_three = $scope.find( '.faq-area-three' )
            if ( $faq_area_three.length > 0) {
                $faq_area_three.parallax({
                    scalarX: 0.0,
                    scalarY: 10.0,
                });
            }

        },

        //================== Testimonials Carousel ===========================//
        testimonials_carousel: function ($scope) {

            //============== Testimonials Style 01
            let testimonial_9 = $scope.find( '.cloud-team-tab' )
            if ( testimonial_9.length > 0 ) {
                var myTimeout;
                var mainElm = $(".cloud-team-tab .nav-link");
                function loop_tab(objInd) {
                    if (objInd + 1 < mainElm.length) {
                        myTimeout = setTimeout(function () {
                            mainElm.removeClass("active");
                            new bootstrap.Tab(mainElm[objInd + 1]).show();
                            loop_tab(objInd + 1);
                        }, 5000);
                    } else {
                        myTimeout = setTimeout(function () {
                            mainElm.removeClass("active")
                            new bootstrap.Tab(mainElm[0]).show();
                            loop_tab(0);
                        }, 5000);
                    }
                }
                loop_tab(-1);
                mainElm.on("click", function (e) {
                    mainElm.removeClass("active");
                    clearTimeout(myTimeout);
                    var currTar = e.currentTarget;
                    function getKeyByValue() {
                        return Object.keys(mainElm).find((key) => mainElm[key] === currTar) - 1;
                    }
                    loop_tab(getKeyByValue());
                });
            }

        },


        //=================== Testimonials ====================== //
        testimonials: function ($scope) {

            //====== Testimonials Style 01
            let testimonial_1 = $scope.find("#scroll-container");
            if ( testimonial_1.length > 0 ) {

                // init controller
                var controller = new ScrollMagic.Controller();

                // define movement of panels
                if ($(window).width() < 767 ) {
                    var wipeAnimation = new TimelineMax().to(testimonial_1, 1, {
                        x: "-15%",
                    });
                } else {
                    var wipeAnimation = new TimelineMax().to(testimonial_1, 1, {
                        x: "-45%",
                    });
                }


                /*var wipeAnimation = new TimelineMax().to('#scroll-container', 1, {
                    x: '-55%',
                });*/

                // create scene to pin and link animation
                new ScrollMagic.Scene({
                    triggerElement: "#fixedWrapper",
                    triggerHook: "onLeave",
                    duration: "350%",
                })
                    .setPin("#fixedWrapper")
                    .setTween(wipeAnimation)
                    .addIndicators()
                    .addTo(controller);

                var horizontal = new ScrollMagic.Scene({
                    offset: 50,
                    duration: 300,
                    // reverse: false
                })

                // .addIndicators()
                .addTo(controller);

            }

            //============== Testimonials Style 02
            var testimonial_2 = $scope.find( '.testimonial-2' );

            if ( testimonial_2.length  > 0 ) {
                const slider5 = new Swiper('.testimonial-2', {
                    loop: true,
                    pagination: {
                        el: '.swiper-pagination',
                        type: 'fraction',
                    },
                    navigation: {
                        nextEl: '.swiper-button-next',
                        prevEl: '.swiper-button-prev',
                    },
                    breakpoints: {
                        1024: {
                            slidesPerView: 1,
                        },
                        1200: {
                            slidesPerView: 1.6,
                            spaceBetween: 70,
                        },
                        1500: {
                            slidesPerView: 1.95,
                            spaceBetween: 70,
                        },
                    },
                });
            }

            //============== Testimonials Style 03, 04
            let testimonial_3 = $scope.find( '.testimonial-3' );
            if ( testimonial_3.length > 0 ) {
                const slider3 = new Swiper( '.testimonial-3' , {
                    slidesPerView: 1,
                    spaceBetween: 0,
                    loop: true,
                    autoplay: true,
                    speed: 300,
                    breakpoints: {
                        768: {
                            navigation: {
                                nextEl: ".swiper-button-next",
                                prevEl: ".swiper-button-prev",
                            },
                        },
                    },
                });
            }


            //============== Testimonials Style 05
            let testimonial_5 = $scope.find( '.user-slider' )
            if ( testimonial_5.length > 0 ) {
                testimonial_5.slick({
                    dots: true,
                    arrows: false,
                    slidesToShow: 1,
                    centerMode: false,
                    autoplay: false,
                    infinite: true,
                    autoplaySpeed: 7000,
                    slidesToScroll: 1,
                });
            }

            //============== Testimonials Style 06
            let testimonial_6 = $scope.find( '.testimonial-6' );
            if ( testimonial_6.length > 0 ) {
                const slider2 = new Swiper('.testimonial-6', {
                    spaceBetween: 50,
                    slidesPerView: 1,
                    //loop: true,
                    centeredSlides: true,
                    autoplay: true,
                    breakpoints: {
                        768: {
                            slidesPerView: 2,
                        },
                        1920: {
                            slidesPerView: 2,
                        }
                    },
                });
            }


            //============== Testimonials Style 07
            let testimonial_7 = $scope.find( '.slider-wrapper' )
            if ( testimonial_7.length > 0 ) {
                testimonial_7.slick({
                    dots: false,
                    arrows: true,
                    slidesToShow: 2,
                    centerMode: false,
                    autoplay: false,
                    infinite: true,
                    autoplaySpeed: 7000,
                    slidesToScroll: 1,
                    responsive: [
                        {
                            breakpoint: 480,
                            settings: {
                                slidesToShow: 1,
                                slidesToScroll: 1,
                            }
                        }
                    ],
                    nextArrow: '<i class="arrow_right"></i>',
                    prevArrow: '<i class="arrow_left"></i>'
                });
            }

            //============== Testimonials Style 08
            let testimonial_8 = $scope.find( '.testimonial-slider-six' )
            if ( testimonial_8.length > 0 ) {
                testimonial_8.slick({
                    dots: false,
                    arrows: true,
                    slidesToShow: 1,
                    centerMode: false,
                    autoplay: false,
                    infinite: true,
                    autoplaySpeed: 7000,
                    fade: true,
                    slidesToScroll: 1,
                    prevArrow:
                        '<button type="button" class="slick-prev"><i class="arrow_left"></i></button>',
                    nextArrow:
                        '<button type="button" class="slick-next"><i class="arrow_right"></i></button>',
                });
            }


            //============== Testimonials Style 09
            let testimonial_9 = $scope.find( '.app-client-slider' )
            if ( testimonial_9.length > 0 ) {
                testimonial_9.slick({
                    dots: true,
                    arrows: false,
                    centerMode: true,
                    centerPadding: '0px',
                    slidesToShow: 3,
                    autoplay: true,
                    infinite: true,
                    autoplaySpeed: 3000,
                    slidesToScroll: 3,
                    responsive: [
                        {
                            breakpoint: 1200,
                            settings: {
                                slidesToShow: 3,
                                slidesToScroll: 3,
                            },
                        },
                        {
                            breakpoint: 991,
                            settings: {
                                slidesToShow: 2,
                                slidesToScroll: 3,
                            },
                        },
                        {
                            breakpoint: 768,
                            settings: {
                                slidesToShow: 1,
                                slidesToScroll: 1,
                            },
                        },
                    ],
                });
            }


            //============== Testimonials Style 10
            let testimonial_10 = $scope.find( '.testimonial-10' );
            if ( testimonial_10.length > 0 ) {
                const slider7 = new Swiper('.testimonial-10', {
                    loop: true,
                    navigation: {
                        nextEl: '.swiper-button-next',
                        prevEl: '.swiper-button-prev',
                    },
                    breakpoints: {
                        0: {
                            slidesPerView: 1,
                            spaceBetween: 0,
                        },
                        768: {
                            slidesPerView: 'auto',
                            centeredSlides: false,
                            spaceBetween: 0,
                        },
                    },
                });
            }

            //============== Testimonials Style 11
            let testimonial_11 = $scope.find( '.testimonial-11' )
            if ( testimonial_11.length > 0 ) {
                const slider8 = new Swiper('.testimonial-11', {
                    loop: true,
                    navigation: {
                        nextEl: ".swiper-button-next",
                        prevEl: ".swiper-button-prev",
                    },
                    breakpoints: {
                        0: {
                            slidesPerView: 1,
                            spaceBetween: 100,
                        },
                        1200: {
                            slidesPerView: 1.2,
                            spaceBetween: 150,
                        },
                    },
                });
            }


            //============== Testimonials Style 12
            let testimonial_12 = $scope.find( '.testimonial-12' )
            if ( testimonial_12.length > 0 ) {
                const slider9 = new Swiper('.testimonial-12', {
                    loop: true,
                    pagination: {
                        el: ".swiper-pagination",

                    },
                    breakpoints: {
                        0: {
                            slidesPerView: 1,
                            spaceBetween: 0,
                        },
                        991: {
                            slidesPerView: 3,
                            centeredSlides: true,
                            spaceBetween: -150,
                        },
                        1200: {
                            slidesPerView: 3,
                            centeredSlides: true,
                            spaceBetween: -68,
                        },
                    },
                });
            }


            //============== Testimonials Style 13
            let testimonial_13 = $scope.find( '#billing-testimonial' )
            if (testimonial_13.length) {
                const slider = new Swiper('#billing-testimonial', {
                    loop: true,
                    pagination: {
                        el: ".swiper-pagination",
                        clickable: true,
                    },
                    autoplay: {
                        delay: 2500,
                        disableOnInteraction: false,
                    },
                    breakpoints: {
                        0: {
                            slidesPerView: 1,
                            spaceBetween: 30,
                        },
                        768: {
                            slidesPerView: "auto",
                            centeredSlides: true,
                            spaceBetween: 30,
                        },
                    },
                });
            }

            //============== Testimonials Style 14
            let testimonial_14 = $scope.find( '.testimonial-14' )
            if ( testimonial_14.length > 0 ) {
                const slider6 = new Swiper('.testimonial-14', {
                    loop: true,
                    pagination: {
                        el: ".swiper-pagination",
                        type: "fraction",
                    },
                    navigation: {
                        nextEl: ".swiper-button-next",
                        prevEl: ".swiper-button-prev",
                    },
                    breakpoints: {
                        1024: {
                            slidesPerView: 1,
                        },
                        1200: {
                            slidesPerView: 1.2,
                            spaceBetween: 30,
                        },
                        1500: {
                            slidesPerView: 1.5,
                            spaceBetween: 70,
                        },
                    },
                });
            }


        },

        //============== Tabs
        tabs: function ($scope) {

            // Horizontal Tabs
            var horizontalContainer = $scope.find(".accordion-item");
            if ( horizontalContainer.length > 0 ) {
                horizontalContainer.beefup({
                    animation: 'fade',
                    openSingle: true,
                    openSpeed: 400,
                    closeSpeed: 400,
                    onOpen: function ($el) {
                        // Add active class to tabs
                        $('a[href="#' + $el.attr('id') + '"]').parent().addClass(this.openClass)
                            .siblings().removeClass(this.openClass);
                    }
                });

                //Features Tabs Active
                var collapseItem = $scope.find(".collapse-item");
                collapseItem.beefup({
                    openSingle: true,
                });
            }
        },


        //============== Mailchimp Form
        mailchimp: function ($scope) {
            var mailchimpContainer = $scope.find(".mailchimp");
            var dataUrl = mailchimpContainer.data('action-url');

            if ( mailchimpContainer.length > 0 ) {
                mailchimpContainer.ajaxChimp({
                    callback: mailchimpCallback,
                    url: dataUrl,
                });
                $(".memail").on("focus", function () {
                    $(".mchimp-errmessage").fadeOut();
                    $(".mchimp-sucmessage").fadeOut();
                });
                $(".memail").on("keydown", function () {
                    $(".mchimp-errmessage").fadeOut();
                    $(".mchimp-sucmessage").fadeOut();
                });
                $(".memail").on("click", function () {
                    $(".memail").val("");
                });

                function mailchimpCallback(resp) {
                    if (resp.result === "success") {
                        $(".mchimp-errmessage").html(resp.msg).fadeIn(1000);
                        $(".mchimp-sucmessage").fadeOut(500);
                    } else if (resp.result === "error") {
                        $(".mchimp-errmessage").html(resp.msg).fadeIn(1000);
                    }
                }
            }
        },


        //================= Parallax
        parallax: function ($scope) {
            var $parallaxContainer = $scope.find(".parallax_image_effect");
            if ( $parallaxContainer.length > 0 ) {
                $parallaxContainer.parallax({
                    scalarX: 10.0,
                    scalarY: 10.0,
                });

                if ( $parallaxContainer.parallaxie ) {
                    if ($(window).width() > 767) {
                        $parallaxContainer.parallaxie({
                            speed: 0.5,
                        });
                    }
                }
            }
        },


        //================= Locations
        locations: function ($scope) {
            let locationContainer = $scope.find(".marking-point");

            if ( locationContainer.length > 0 ) {
                const template = document.querySelector('.tippy-box');
                tippy(".marking-point", {
                    content: template.innerHTML,
                    allowHTML: true,
                    animation: "scale",
                    theme: "tooltip",
                });
            }
        }


    }

    $window.on("elementor/frontend/init", landpagy.onInit);

})(jQuery, window);