<?php

/**
 * Add Custom Image Size
 */
add_image_size( 'landpagy_70x70', 70, 70, true); // Recent Post Sidebar
add_image_size( 'landpagy_80x80', 80, 80, true); // Elements Mega Menu
add_image_size( 'landpagy_520x500', 520, 500, true); // Portfolio Feature Image
add_image_size( 'landpagy_78x84', 78, 84, true); // States Feature Image
add_image_size( 'landpagy_400x450', 400, 450, true); // Testimonials - 08
add_image_size( 'landpagy_71x71', 71, 71, true); // Testimonials - 08
add_image_size( 'landpagy_50x50', 50, 50, true); // Testimonials 01, 06
add_image_size( 'landpagy_290x300', 290, 300, true); // Testimonials 02
add_image_size( 'landpagy_900x550', 900, 550, true); // Testimonials 02
add_image_size( 'landpagy_355x271', 355, 271, true); // Blog Grid style 01
add_image_size( 'landpagy_360x230', 360, 230, true); // Blog Post Style 03 (Sticky Post)
add_image_size( 'landpagy_450x300', 450, 300, true); // Blog Grid style 03
add_image_size( 'landpagy_683x471', 683, 471, true); // Blog Grid style 06
add_image_size( 'landpagy_380x220', 380, 220, true); // Blog Grid style 08


/**
 * Elementor Title tags
 */
function landpagy_el_title_tags() {
    return [
        'h1'   => 'H1',
        'h2'   => 'H2',
        'h3'   => 'H3',
        'h4'   => 'H4',
        'h5'   => 'H5',
        'h6'   => 'H6',
        'div'  => 'div',
        'span' => 'span',
        'p'    => 'p',
    ];
}



/**
 * Elementor Ratting
 */
function landpagy_el_ratting_options() {
    return [
        '1' => '1 Star',
        '2' => '2 Star',
        '3' => '3 Star',
        '4' => '4 Star',
        '5' => '5 Star',
    ];
}


/**
 * Get Default Image Elementor
 * @param $settins_key
 * @param string $class
 * @param string $alt
 */
function landpagy_el_image( $settings_key = '', $alt = '', $class = '' ) {
    if ( !empty($settings_key['id']) ) {
        echo wp_get_attachment_image($settings_key['id'], 'full', '', array( 'class' => $class ));
    }
    elseif ( !empty($settings_key['url']) && empty($settings_key['id']) ) {
        $class = !empty($class) ? "class='$class'" : '';
        echo "<img src='{$settings_key['url']}' $class alt='$alt'>";
    }
}


/**
 * Event Tab data
 * @param $getCats
 * @param $event_schedule_cats
 * @return array
 */
function return_tab_data( $getCats, $event_schedule_cats ) {
    $y = [];
    foreach ( $getCats as $val ) {

        $t = [];
        foreach( $event_schedule_cats as $data ) {
            if( $data['tab_title'] == $val ) {
                $t[] = $data;
            }
        }
        $y[$val] = $t;
    }

    return $y;
}

/**
 * @param $settings
 * @param $settings_key
 * @return string
 */
function landpagy_el_ratting( $settings, $settings_key ) {

    for ( $i = 1;  $i <= 5;  $i++ ) {
        if ($i > $settings[$settings_key]) {
            echo '<a href="#"><i class="icon_star_alt"></i></a>';
        } else {
            echo '<a href="#"><i class="icon_star"></i></a>';
        }
    }

}


function landpagy_get_el_text_alignment() {

    $choose_alignment = [
        'left' => [
            'title' => __( 'Left', 'landpagy-core' ),
            'icon' => 'eicon-text-align-left',
        ],
        'center' => [
            'title' => __( 'Center', 'landpagy-core' ),
            'icon' => 'eicon-text-align-center',
        ],
        'right' => [
            'title' => __( 'Right', 'landpagy-core' ),
            'icon' => 'eicon-text-align-right',
        ],
    ];

    return $choose_alignment;

}


/**
 * @param $mimes
 * Support SVG Image
 * @return mixed
 */
function landpagy_mime_types($mimes) {
    $mimes['svg'] = 'image/svg+xml';
    return $mimes;
}
add_filter('upload_mimes', 'landpagy_mime_types');