<?php
/**
 * Header footer
 * @package header footer megamenu postype
 */

class Landpagy_header_footer {

    private static $_instance = null;


    public static function instance() {

        if ( is_null( self::$_instance ) ) {
            self::$_instance = new self();
        }
        return self::$_instance;

    }

    public function __construct() {
        add_action( 'plugins_loaded', [ $this, 'on_plugins_loaded' ] );

    }

    public function on_plugins_loaded() {
        add_action( 'admin_menu', [$this, 'landpagy_core_header_footer_menu'] );
        add_action( 'init', [$this, 'register_post_type'] );
    }

    public function landpagy_core_header_footer_menu() {
        add_menu_page(
            'Landpagy Header Footer',
            'Header Footer',
            'read',
            'landpagy-header-footer',
            '', // Callback, leave empty
            'dashicons-feedback',
            14 // Position
        );
    }

    private function postype_lable($singular, $plural) {
        $labels = array(
            'name'                  => _x( $plural, 'Post type general name', 'recipe' ),
            'singular_name'         => _x( $singular, 'Post type singular name', 'recipe' ),
            'menu_name'             => _x( $plural, 'Admin Menu text', 'recipe' ),
            'name_admin_bar'        => _x( $singular, 'Add New on Toolbar', 'recipe' ),
            'add_new'               => __( 'Add New', 'recipe' ),
            'add_new_item'          => __( 'Add New '.$singular, 'recipe' ),
            'new_item'              => __( 'New '.$singular, 'recipe' ),
            'edit_item'             => __( 'Edit '.$singular, 'recipe' ),
            'view_item'             => __( 'View '.$singular, 'recipe' ),
            'all_items'             => __( 'All '.$plural, 'recipe' ),
            'search_items'          => __( 'Search '.$plural, 'recipe' ),
            'parent_item_colon'     => __( 'Parent '.$plural.':', 'recipe' ),
            'not_found'             => __( 'No '.$plural.' found.', 'recipe' ),
            'not_found_in_trash'    => __( 'No '.$plural.' found in Trash.', 'recipe' ),
            'featured_image'        => _x( $singular.' Cover Image', 'Overrides the “Featured Image” phrase for this post type. Added in 4.3', 'recipe' ),
            'set_featured_image'    => _x( 'Set cover image', 'Overrides the “Set featured image” phrase for this post type. Added in 4.3', 'recipe' ),
            'remove_featured_image' => _x( 'Remove cover image', 'Overrides the “Remove featured image” phrase for this post type. Added in 4.3', 'recipe' ),
            'use_featured_image'    => _x( 'Use as cover image', 'Overrides the “Use as featured image” phrase for this post type. Added in 4.3', 'recipe' ),
            'archives'              => _x( $singular.' archives', 'The post type archive label used in nav menus. Default “Post Archives”. Added in 4.4', 'recipe' ),
            'insert_into_item'      => _x( 'Insert into '.$singular, 'Overrides the “Insert into post”/”Insert into page” phrase (used when inserting media into a post). Added in 4.4', 'recipe' ),
            'uploaded_to_this_item' => _x( 'Uploaded to this '.$singular, 'Overrides the “Uploaded to this post”/”Uploaded to this page” phrase (used when viewing media attached to a post). Added in 4.4', 'recipe' ),
            'filter_items_list'     => _x( 'Filter '.$plural.' list', 'Screen reader text for the filter links heading on the post type listing screen. Default “Filter posts list”/”Filter pages list”. Added in 4.4', 'recipe' ),
            'items_list_navigation' => _x( $plural.' list navigation', 'Screen reader text for the pagination heading on the post type listing screen. Default “Posts list navigation”/”Pages list navigation”. Added in 4.4', 'recipe' ),
            'items_list'            => _x( $plural.' list', 'Screen reader text for the items list heading on the post type listing screen. Default “Posts list”/”Pages list”. Added in 4.4', 'recipe' ),
        );
        return $labels;
    }
    public function post_type($singular, $plural, $post_type_name, $slug, $supports=[]) {
        $args = array(
            'labels'             => $this->postype_lable($singular, $plural),
            'description'        => $post_type_name.' custom post type.',
            'public'             => true,
            'publicly_queryable' => true,
            'show_ui'            => true,
            'show_in_menu'       => 'landpagy-header-footer',
            'query_var'          => true,
            'rewrite'            => array( 'slug' =>  $slug ),
            'capability_type'    => 'post',
            'has_archive'        => true,
            'hierarchical'       => false,
            'menu_position'      => 20,
            'supports'           => ['title', 'editor', 'elementor'],
            'show_in_rest'       => true
        );

        return $args;
    }

    public function register_post_type() {
        register_post_type( 'landpagy-mega-menu', $this->post_type('Mega Menu', 'Mega Menus', 'landpagy-mega-menu', 'landpagy-mega-menu') );
        register_post_type( 'landpagy-header', $this->post_type('Header', 'Headers', 'landpagy-header', 'landpagy-header') );
        register_post_type( 'landpagy-footer', $this->post_type('Footer', 'Footers', 'landpagy-footer', 'landpagy-footer') );
    }

}

new Landpagy_header_footer();