<div class="accordion accordion-flush cloud-accordion wow fadeInRight" id="accordion-<?php echo esc_attr($this->get_id()) ?>" data-wow-delay="0.3s">
    <?php
    foreach ( $settings['tabs2'] as $index => $item ) {
        $tab_count = $index + 1;
        $active = $tab_count == 1 ? ' show ' : '';
        $collapsed = $tab_count == 1 ? ' collapsed ' : '';
        $tab_title_setting_key = $this->get_repeater_setting_key( 'tab_title', 'tabs', $index );
        $tab_content_setting_key = $this->get_repeater_setting_key( 'tab_content', 'tabs', $index );

        //Tab Title Settings Key
        $this->add_render_attribute( $tab_title_setting_key, [
            'class' => ['accordion-button' . $collapsed],
            'type'  => 'button',
            'data-bs-toggle' => 'collapse',
            'data-bs-target' => '.landpagy-'.$id_int . $tab_count,
            'aria-expanded' => $tab_count == 1 ? 'false' : 'true',
            'aria-controls' => 'cloud-collapse-' . $id_int . $tab_count,
        ] );

        //Tab Content Settings Key
        $this->add_render_attribute( $tab_content_setting_key, [
            'id' => 'cloud-collapse-' . $id_int . $tab_count,
            'class' => 'accordion-collapse collapse' . $active . ' landpagy-'. $id_int . $tab_count,
            'data-bs-parent' => '#accordion-'.$this->get_id(),
        ] );
        ?>

        <div class="accordion-item">
            <h2 class="accordion-header">
                <button <?php echo $this->get_render_attribute_string( $tab_title_setting_key ); ?>>
                    <?php echo esc_html($item['tab_title']) ?>
                </button>
            </h2>
            <div <?php echo $this->get_render_attribute_string( $tab_content_setting_key ); ?>>
                <div class="accordion-body">
                    <?php echo Landpagy_Core_Helper()->kses_post(wpautop($item['tab_content'])) ?>
                    <a class="btn-more" <?php landpagy_Core_Helper()->the_button($item['btn_url']) ?>>
                        <?php echo esc_html($item['btn_title']) ?>
                        <svg width="16" height="17" viewBox="0 0 16 17" fill="none" xmlns="http://www.w3.org/2000/svg">
                            <path d="M2.26324 8.10205H13.5556" stroke="#EC595A" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round"/>
                            <path d="M8.88889 3.4353L13.5556 8.10197L8.88889 12.7686" stroke="#EC595A" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round"/>
                        </svg>
                    </a>
                    <a class="btn-apple" href="#">
                        <i class="fab fa-apple"></i>
                    </a>
                    <a class="btn-windows" href="#">
                        <i class="fab fa-windows"></i>
                    </a>
                    <a class="btn-linux" href="#">
                        <i class="fab fa-linux"></i>
                    </a>
                </div>
            </div>
        </div>
        <?php
    }
    ?>
</div>