<section class="faq-area-four">
    <div class="accordion" id="accordion-<?php echo esc_attr($this->get_id()) ?>">
        <?php
        $delay_time = 0.1;
        foreach ( $settings['tabs'] as $index => $item ) {
            $tab_count = $index + 1;
            $active = $tab_count == 1 ? ' show' : '';

            $tab_title_setting_key = $this->get_repeater_setting_key( 'tab_title', 'tabs', $index );
            $tab_content_setting_key = $this->get_repeater_setting_key( 'tab_content', 'tabs', $index );

            $this->add_render_attribute( $tab_title_setting_key, [
                'class' => 'accordion-button collapsed',
                'type'  => 'button',
                'data-bs-toggle' => 'collapse',
                'data-bs-target' => '#landpagy-collapse' . $id_int . $tab_count,
                'aria-expanded' => $tab_count == 1 ? 'false' : 'true',
                'aria-controls' => 'landpagy-collapse' . $id_int . $tab_count,
            ] );

            $this->add_render_attribute( $tab_content_setting_key, [
                'id' => 'landpagy-collapse' . $id_int . $tab_count,
                'class' => 'accordion-collapse collapse' . $active,
                'aria-labelledby' => 'landpagy-heading' . $id_int . $tab_count,
                'data-bs-parent' => '#accordion-'.$this->get_id(),
            ] );
            ?>

            <div class="accordion-item wow fadeInUp" data-wow-delay="<?php echo esc_attr($delay_time) ?>s">
                <h2 class="accordion-header" id="<?php echo esc_attr( 'landpagy-heading' . $id_int . $tab_count); ?>">
                    <button <?php echo $this->get_render_attribute_string( $tab_title_setting_key ); ?>>
                        <?php echo esc_html($item['tab_title']) ?>
                    </button>
                </h2>
                <div <?php echo $this->get_render_attribute_string( $tab_content_setting_key ); ?>>
                    <div class="accordion-body">
                        <?php echo Landpagy_Core_Helper()->kses_post(wpautop($item['tab_content'])) ?>
                    </div>
                </div>
            </div>
            <?php
            $delay_time += 0.2;
        }
        ?>
    </div>
</section>