<section class="blog-post-area">
    <div class="row">
        <?php
        while ( $posts->have_posts() ) : $posts->the_post();
            if ( is_sticky() ) {
                ?>
                <div class="col-md-12">
                    <div class="top-post-item mb-30">
                        <?php the_post_thumbnail('landpagy_360x230'); ?>
                        <div class="post-content">
                            <a href="<?php echo Landpagy_Core_Helper()->get_the_first_taxonomy_link() ?>" class="cate-btn">
                                <?php echo Landpagy_Core_Helper()->get_the_first_taxonomy() ?>
                            </a>
                            <h4 class="post-title">
                                <a href="<?php the_permalink(); ?>" title="<?php the_title_attribute() ?>">
                                    <?php echo Landpagy_Core_Helper()->get_the_title_length( $settings, 'title_length' ) ?>
                                </a>
                            </h4>
                            <p class="post-para">
                                <?php echo Landpagy_Core_Helper()->get_the_excerpt_length( $settings, 'excerpt_length' ) ?>
                            </p>
                            <div class="d-flex justify-content-between">
                                <div class="post-author">
                                    <a href="<?php echo get_author_posts_url(get_the_author_meta('ID')) ?>" class="auth-name">
                                        <i class="far fa-user-circle"></i>
                                        <?php echo get_the_author_meta('display_name') ?>
                                    </a>
                                </div>
                                <div class="post-date">
                                    <p>
                                        <i class="far fa-calendar-alt"></i>
                                        <?php echo get_the_time(get_option( 'date_format' )) ?>
                                    </p>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <?php
            }
            else {
                ?>
                <div class="col-md-<?php echo esc_attr($column) ?>">
                    <div class="post-item">
                        <?php the_post_thumbnail('landpagy_450x300'); ?>
                        <div class="post-content">
                            <a href="<?php echo Landpagy_Core_Helper()->get_the_first_taxonomy_link() ?>" class="cate-btn">
                                <?php echo Landpagy_Core_Helper()->get_the_first_taxonomy() ?>
                            </a>
                            <h4 class="post-title">
                                <a href="<?php the_permalink(); ?>" class="__title" title="<?php the_title_attribute() ?>">
                                    <?php echo Landpagy_Core_Helper()->get_the_title_length( $settings, 'title_length' ) ?>
                                </a>
                            </h4>
                            <p class="post-para">
                                <?php echo Landpagy_Core_Helper()->get_the_excerpt_length( $settings, 'excerpt_length' ) ?>
                            </p>
                            <div class="d-flex justify-content-between">
                                <div class="post-author">
                                    <a href="<?php echo get_author_posts_url(get_the_author_meta('ID')) ?>" class="auth-name">
                                        <i class="far fa-user-circle"></i>
                                        <?php echo get_the_author_meta('display_name') ?>
                                    </a>
                                </div>
                                <div class="post-date">
                                    <p>
                                        <i class="far fa-calendar-alt"></i>
                                        <?php echo get_the_time(get_option( 'date_format' )) ?>
                                    </p>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <?php
            }
        endwhile;
        wp_reset_postdata();
        ?>
    </div>

    <div class="blog_pagination">
        <ul class="pagination">
            <?php
            $big = 999999999; // need an unlikely integer
            echo paginate_links( array(
                'base' => str_replace( $big, '%#%', esc_url( get_pagenum_link( $big ) ) ),
                'format' => '?paged=%#%',
                'current' => max( 1, get_query_var('paged') ),
                'total' =>  $posts->max_num_pages,
                'prev_text' => '<i class="fas fa-chevron-left"></i>',
                'next_text' => '<i class="fas fa-chevron-right"></i>',
            ));
            ?>
        </ul>
    </div>
</section>