<section class="doc_blog_grid_area">
    <div class="blog_grid_inner bg_color">
        <div class="container blog-grid-container">
            <ul class="nav blog_tab">
                <?php
                if ( !empty($settings['cats']) ) {
                    foreach ( $settings['cats'] as $index => $cat ) {
                        $cat = get_term( $cat, 'category' );
                        $tab_count = $index + 1;
                        $tab_category_setting_key = $this->get_repeater_setting_key( 'tab_li', '', $index );
                        $active = $tab_count == 1 ? ' active' : '';
                        $this->add_render_attribute( $tab_category_setting_key, [
                            'class' => 'nav-link' . $active,
                            'data-bs-toggle' => 'tab',
                            'href' => '#'.$cat->slug,
                        ]);
                        ?>
                        <li class="nav-item">
                            <a <?php echo $this->get_render_attribute_string( $tab_category_setting_key ); ?>>
                                <?php echo esc_html( $cat->name ) ?>
                            </a>
                        </li>
                        <?php
                    }
                }
                ?>
            </ul>
        </div>
    </div>
    <div class="container blog-grid-container">
        <div class="row blog_grid_tab">
            <div class="tab-content">
                <?php
                foreach ( $settings['cats'] as $index => $cat ) {
                    $cat = get_term( $cat, 'category' );
                    $tab_count = $index + 1;
                    $tab_content_setting_key = $this->get_repeater_setting_key( 'tab_content', '', $index );
                    $show_active = $tab_count == 1 ? ' show active' : '';
                    $this->add_render_attribute( $tab_content_setting_key, [
                        'class' => 'tab-pane fade pt-0' . $show_active,
                        'id' => $cat->slug,
                        'role' => 'tabpanel'
                    ]);
                    ?>
                    <div <?php echo $this->get_render_attribute_string( $tab_content_setting_key ); ?>>
                        <div class="row g-4">
                            <?php
                            $blog_post = new WP_Query( array(
                                'post_type'      => 'post',
                                'posts_per_page' => -1,
                                'order' => !empty($settings['order']) ? $settings['order'] : '',
                                'tax_query' => array(
                                    array(
                                        'taxonomy' => 'category',
                                        'field'    => 'slug',
                                        'terms'    => $cat->slug,
                                    ),
                                ),
                            ));
                            while ($blog_post->have_posts()) : $blog_post->the_post();
                                ?>
                                <div class="col-lg-<?php echo esc_attr($column) ?> col-sm-6">
                                    <div class="blog_grid_post shadow-sm">
                                        <?php the_post_thumbnail('landpagy_380x220'); ?>
                                        <div class="grid_post_content">
                                            <div class="post_tag">
                                                <a class="__meta" href="javascript:void(0)">
                                                    <?php echo Landpagy_Core_Helper()->get_the_reading_time() ?>
                                                </a>
                                                <a class="c_blue __meta" href="<?php echo Landpagy_Core_Helper()->get_the_first_taxonomy_link() ?>">
                                                    <?php echo Landpagy_Core_Helper()->get_the_first_taxonomy() ?>
                                                </a>
                                            </div>
                                            <a href="<?php the_permalink(); ?>">
                                                <h4 class="b_title __title"><?php echo Landpagy_Core_Helper()->get_the_title_length($settings, 'title_length') ?></h4>
                                            </a>
                                            <p class="content" ><?php echo Landpagy_Core_Helper()->get_the_excerpt_length($settings, 'excerpt_length') ?></p>
                                            <div class="media post_author">
                                                <div class="round_img">
                                                    <?php echo Landpagy_Core_Helper()->get_the_author_avatar( 'user_name', 40) ?>
                                                </div>
                                                <div class="media-body author_text">
                                                    <h4><?php echo get_the_author_meta('display_name') ?></h4>
                                                    <div class="date __meta"><?php echo get_the_time(get_option( 'date_format' )) ?></div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <?php
                            endwhile;
                            wp_reset_postdata();
                            ?>
                        </div>
                    </div>
                    <?php
                }
                ?>
            </div>
        </div>
    </div>
</section>