<div class="contact-form-2">
    <nav>
        <div class="nav justify-content-center" id="nav-tab" role="tablist">
            <?php
            foreach ( $form_tabs as $index => $item ) {
                $tab_count = $index + 1;
                $active = $tab_count == 1 ? ' active' : '';
                $tab_title_setting_key = $this->get_repeater_setting_key( 'tab_title', 'form_tabs', $index );
                $this->add_render_attribute( $tab_title_setting_key, [
                    'class' => 'nav-link'. $active,
                    'id'  => 'nav-general-tab-'. $id_int . $tab_count .'-tab',
                    'data-bs-toggle' => 'tab',
                    'data-bs-target'  => '#nav-' . $id_int . $tab_count,
                    'type'  => 'button',
                    'role'  => 'tab',
                    'aria-controls' => 'nav-'. $id_int . $tab_count,
                    'aria-selected' => $tab_count == 1 ? 'true' : 'false',
                ]);
                ?>
                <button <?php echo $this->get_render_attribute_string( $tab_title_setting_key ); ?>>
                    <?php echo esc_html($item['tab_title']) ?>
                </button>
                <?php
            }
            ?>
        </div>
    </nav>

    <div class="tab-content" id="nav-tabContent">
        <?php
        foreach ( $form_tabs as $index => $item ) {
            $tab_count = $index + 1;
            $tab_content_setting_key = $this->get_repeater_setting_key( 'tab_img', 'tabs', $index );
            $active = $tab_count == 1 ? ' show active' : '';
            $this->add_render_attribute( $tab_content_setting_key, [
                'class' => 'tab-pane fade'. $active,
                'id'    => 'nav-'. $id_int . $tab_count,
                'role'  => 'tabpanel',
                'aria-labelledby'  => 'nav-'. $id_int . $tab_count .'-tab',
            ]);
            ?>
            <div <?php echo $this->get_render_attribute_string($tab_content_setting_key) ?>>
                <div class="contact-tab-info text-center">
                    <?php
                    if ( $item['icon']['id'] != '' ) {
                        echo wp_get_attachment_image($item['icon']['id'], 'full', '', ['class' => 'mx-auto']);
                    }
                    if ( $item['title'] != '' ) { ?>
                        <h4 class="tab-title"><?php echo esc_html($item['title']) ?></h4>
                        <?php
                    }
                    if ( $item['content'] != '' ) {?>
                        <p class="tab-para"><?php echo Landpagy_Core_Helper()->kses_post(nl2br($item['content'])) ?></p>
                        <?php
                    }
                    ?>
                </div>
                <div class="tab-form">
                    <?php echo do_shortcode('[contact-form-7 id="'.$item['cf7_id'].'" title="'.$item['f_title'].'"]'); ?>
                </div>
            </div>
            <?php
        }
        ?>
    </div>
</div>