<section class="faq-area-three">
    <div class="faq-tab-wrapper">
        <div class="row">
            <div class="col-12">
                <ul class="nav nav-tabs">
                    <?php
                    if ( !empty($settings['cats']) ) {
                        foreach ( $settings['cats'] as $index => $cat ) {
                            $cat = get_term( $cat, 'faq_cat' );
                            $tab_count = $index + 1;
                            $tab_category_setting_key = $this->get_repeater_setting_key( 'tab_li', '', $index );
                            $active = $tab_count == 1 ? ' active' : '';
                            $this->add_render_attribute( $tab_category_setting_key, [
                                'class' => 'nav-link' . $active,
                                'data-bs-toggle' => 'tab',
                                'href' => '#'.$cat->slug,
                            ]);
                            ?>
                            <li class="nav-item">
                                <a <?php echo $this->get_render_attribute_string( $tab_category_setting_key ); ?>>
                                    <?php echo esc_html( $cat->name ) ?>
                                </a>
                            </li>
                            <?php
                        }
                    }
                    ?>
                </ul>
            </div>
        </div>

        <div class="tab-content">
            <?php
            foreach ( $settings['cats'] as $index => $cat ) {
                $cat = get_term( $cat, 'faq_cat' );
                $tab_count = $index + 1;
                $tab_content_setting_key = $this->get_repeater_setting_key( 'tab_content', '', $index );
                $show_active = $tab_count == 1 ? ' show active' : '';
                $this->add_render_attribute( $tab_content_setting_key, [
                    'class' => 'tab-pane fade' . $show_active,
                    'id' => $cat->slug,
                    'role' => 'tabpanel'
                ]);
                ?>
                <div <?php echo $this->get_render_attribute_string( $tab_content_setting_key ); ?>>
                    <div class="row">
                        <?php
                        $faqs = new WP_Query( array(
                            'post_type'      => 'faq',
                            'posts_per_page' => -1,
                            'order' => !empty($settings['order']) ? $settings['order'] : '',
                            'tax_query' => array(
                                array(
                                    'taxonomy' => 'faq_cat',
                                    'field'    => 'slug',
                                    'terms'    => $cat->slug,
                                ),
                            ),
                        ));

                        $i = 0;
                        $data_wow_delay = 0.1;
                        while ($faqs->have_posts()) : $faqs->the_post();
                            $aria_expanded = $i == 0 ? 'false' : 'true';
                            $collapsed = $i == 0 ? ' collapsed' : '';
                            ?>
                            <div class="col-md-6 pr-lg-25">
                                <div class="accordion-three">
                                    <div class="accordion-item wow fadeInUp" data-wow-delay="<?php echo esc_attr($data_wow_delay) ?>s">
                                        <h2 class="accordion-header" id="flush-heading-<?php echo get_the_ID() ?>">
                                            <button class="accordion-button<?php echo esc_attr($collapsed) ?>" type="button" data-bs-toggle="collapse" data-bs-target="#flush-collapse-<?php echo get_the_ID() ?>"
                                                    aria-expanded="<?php echo esc_attr($aria_expanded) ?>" aria-controls="flush-collapse-<?php echo get_the_ID() ?>">
                                                <?php the_title() ?>
                                            </button>
                                        </h2>
                                        <div id="flush-collapse-<?php echo get_the_ID() ?>" class="accordion-collapse collapse" aria-labelledby="flush-heading-<?php echo get_the_ID() ?>">
                                            <div class="accordion-body">
                                                <?php the_content() ?>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <?php
                            $data_wow_delay += 0.1;
                            ++$i;
                        endwhile;
                        wp_reset_postdata();
                        ?>
                    </div>
                </div>
                <?php
            }
            ?>
        </div>
    </div>
</section>