<section class="faq-wrapper">
    <div class="row">
        <div class="col-md-4">
            <div class="faq-nav-wrapp nav justify-content-center justify-content-md-start flex-md-column flex-row nav-pills me-md-3 mb-4 mb-md-0" id="v-pills-tab" role="tablist" aria-orientation="vertical">
                <?php
                if ( !empty($settings['cats']) ) {
                    foreach ( $settings['cats'] as $index => $cat ) {
                        $cat = get_term( $cat, 'faq_cat' );
                        $tab_count = $index + 1;
                        $tab_category_setting_key = $this->get_repeater_setting_key( 'tab_li', '', $index );
                        $active = $tab_count == 1 ? ' active' : '';
                        $this->add_render_attribute( $tab_category_setting_key, [
                            'class' => [ 'nav-link', $active ],
                            'id' => $cat->slug.'-tab',
                            'data-bs-toggle' => 'pill',
                            'data-bs-target' => '#'.$cat->slug,
                            'type' => 'button',
                            'role' => 'tab',
                            'aria-controls' => $cat->slug,
                            'aria-selected' => $tab_count == 1 ? 'true' : 'false',
                        ]);
                        ?>
                        <button <?php echo $this->get_render_attribute_string( $tab_category_setting_key ); ?>>
                            <?php echo esc_html( $cat->name ) ?>
                        </button>
                    <?php
                    }
                }
                ?>
            </div>
        </div>
        <div class="col-md-8">
            <div class="tab-content faq-tab-content" id="v-pills-tabContent">
                <?php
                foreach ( $settings['cats'] as $index => $cat ) :
                    $cat = get_term( $cat, 'faq_cat' );
                    $tab_count = $index + 1;
                    $tab_content_setting_key = $this->get_repeater_setting_key( 'tab_content', '', $index );
                    $active = $tab_count == 1 ? ' active show' : '';
                    $this->add_render_attribute( $tab_content_setting_key, [
                        'class' => [ 'tab-pane fade', $active ],
                        'id' => $cat->slug,
                        'role' => 'tabpanel',
                        'aria-labelledby' => $cat->slug.'-tab',
                    ]);
                    ?>
                    <div <?php echo $this->get_render_attribute_string( $tab_content_setting_key ); ?>>
                        <div class="accordion" id="accordion-<?php echo esc_attr($this->get_id()); ?>">
                            <?php
                            $faqs = new WP_Query( array(
                                'post_type'      => 'faq',
                                'posts_per_page' => -1,
                                'order' => $settings['order'],
                                'tax_query' => array(
                                    array(
                                        'taxonomy' => 'faq_cat',
                                        'field'    => 'slug',
                                        'terms'    => $cat->slug,
                                    ),
                                ),
                            ));
                            $i = 0;
                            while ($faqs->have_posts()) : $faqs->the_post();
                                $aria_expanded = $i == 0 ? 'false' : 'true';
                                $collapsed = $i == 0 ? ' collapsed' : '';
                                $show = $i == 0 ? ' show' : '';
                                ?>
                                <div class="accordion-item">
                                    <h2 class="accordion-header" id="headingFaq-<?php echo get_the_ID() ?>">
                                        <button class="accordion-button<?php echo esc_attr($collapsed) ?>" type="button" data-bs-toggle="collapse" data-bs-target="#collapseFaq-<?php echo get_the_ID() ?>" aria-expanded="<?php echo esc_attr($aria_expanded) ?>" aria-controls="collapseFaq-<?php echo get_the_ID() ?>">
                                            <?php the_title(); ?>
                                        </button>
                                    </h2>
                                    <div id="collapseFaq-<?php echo get_the_ID() ?>" class="accordion-collapse collapse<?php echo esc_attr($show) ?>" aria-labelledby="headingFaq-<?php echo get_the_ID() ?>" data-bs-parent="#accordion-<?php echo esc_attr($this->get_id()) ?>">
                                        <div class="accordion-body">
                                            <?php the_content() ?>
                                        </div>
                                    </div>
                                </div>
                                <?php
                                ++$i;
                            endwhile;
                            wp_reset_postdata();
                            ?>
                        </div>
                    </div>
                    <?php
                endforeach;
                ?>
            </div>
        </div>
    </div>
</section>