<section class="question-area p-0">
    <div class="container">
        <div class="question_inner row">
            <div class="col-lg-4">
                <div class="question_menu">
                    <?php if ( !empty($settings['title'])) : ?>
                        <h3><?php echo esc_html($settings['title']) ?></h3>
                    <?php endif; ?>
                    <ul class="nav nav-tabs" id="myTab" role="tablist">
                        <?php
                        foreach ( $settings['cats'] as $index => $cat ) :
                            $cat = get_term( $cat, 'faq_cat' );
                            $tab_count = $index + 1;
                            $active = $tab_count == 1 ? ' active' : '';
                            $tab_category_setting_key = $this->get_repeater_setting_key( 'tab_li', '', $index );
                            $this->add_render_attribute( $tab_category_setting_key, [
                                'class' => [ 'nav-link', $active ],
                                'id' => $cat->slug.'-tab',
                                'data-bs-toggle' => 'tab',
                                'href' => '#'.$cat->slug,
                                'role' => 'tab',
                                'aria-controls' => $cat->slug,
                                'aria-selected' => $tab_count == 1 ? 'true' : 'false',
                            ]);

                            ?>
                            <li class="nav-item" role="presentation">
                                <a <?php echo $this->get_render_attribute_string( $tab_category_setting_key ); ?>>
                                    <?php echo esc_html( $cat->name ) ?>
                                </a>
                            </li>
                            <?php
                        endforeach;
                        ?>
                    </ul>
                </div>
            </div>
            <div class="col-lg-8">
                <div class="tab-content question_list" id="myTabContent">
                    <?php
                    foreach ( $settings['cats'] as $index => $cat ) :
                        $cat = get_term( $cat, 'faq_cat' );
                        $tab_count = $index + 1;
                        $tab_content_setting_key = $this->get_repeater_setting_key( 'tab_content', '', $index );
                        $active = $tab_count == 1 ? ' show active' : '';
                        $this->add_render_attribute( $tab_content_setting_key, [
                            'class' => [ 'tab-pane fade', $active ],
                            'id' => $cat->slug,
                            'role' => 'tabpanel',
                            'aria-labelledby' => $cat->slug.'-tab',
                        ]);
                        ?>
                        <div <?php echo $this->get_render_attribute_string( $tab_content_setting_key ); ?>>
                            <?php
                            $faqs = new WP_Query( array(
                                'post_type'      => 'faq',
                                'posts_per_page' => -1,
                                'order' => $settings['order'],
                                'orderby' => $settings['orderby'],
                                'tax_query' => array(
                                    array(
                                        'taxonomy' => 'faq_cat',
                                        'field'    => 'slug',
                                        'terms'    => $cat->slug,
                                    ),
                                ),
                            ));
                            $delay_time = 0.0;
                            while ($faqs->have_posts()) : $faqs->the_post();
                                ?>
                                <div class="ques_item wow fadeInUp" data-wow-delay="<?php echo esc_attr($delay_time) ?>s">
                                    <h4><?php the_title(); ?></h4>
                                    <?php the_content() ?>
                                </div>
                                <?php
                                $delay_time += 0.1;
                            endwhile;
                            wp_reset_postdata();
                            ?>
                        </div>
                    <?php
                    endforeach;
                    ?>
                </div>
            </div>
        </div>
    </div>
</section>