<section class="banner-area landpagy-hero">
	<div class="container">
		<div class="row flex-column-reverse flex-lg-row align-items-center">
			<div class="col-lg-6">
				<div class="banner-left">
					<?php
					if ( !empty($settings['title']) ) { ?>
						<h1 class="mb-0">
							<?php echo Landpagy_Core_Helper()->kses_post($settings['title']) ?>
							<svg width="225" height="16" viewBox="0 0 225 16" fill="none" xmlns="http://www.w3.org/2000/svg">
								<path d="M224.931 15.1987C151.063 1.40293 47.4825 6.23252 4.92601 10.3718L0.241161 6.21004C91.4615 -6.66766 188.043 6.83677 224.931 15.1987Z" fill="#EC595A"/>
							</svg>
							</span>
						</h1>
						<?php
					}
					if ( !empty($settings['subtitle']) ) { ?>
						<p class="banner-para">
							<?php echo esc_html($settings['subtitle']) ?>
						</p>
						<?php
					}
					?>
					<form action="javascript:void(0)" class="form-group mailchimp position-relative" method="post" data-action-url="<?php echo esc_url($settings['action_url']); ?>">
						<input type="email" class="memail" name="email" placeholder="<?php echo esc_attr($settings['email_placeholder']) ?>"/>
						<button type="submit" class="btn btn-red">
							<?php echo esc_html($settings['submit_btn']) ?>
						</button>
                        <p class="mchimp-errmessage text-center mt-3" style="display: none;"></p>
                        <p class="mchimp-sucmessage text-center mt-3" style="display: none;"></p>
					</form>
					<span class="sub-content"><?php echo Landpagy_Core_Helper()->kses_post($settings['form_content']) ?></span>
				</div>
			</div>
			<div class="col-lg-6">
				<div class="banner-right">
					<span class="banner-shapes wow animate__animated animate__fadeInDown"></span>
					<?php
                    echo wp_get_attachment_image($settings['obj1']['id'], 'full', '', array( 'class' => 'banner-shapes2 wow animate__animated animate__fadeInDown' ));
                    echo wp_get_attachment_image($settings['obj2']['id'], 'full', '', array( 'class' => 'banner-shapes3 wow animate__animated animate__fadeInDown' ));
                    echo wp_get_attachment_image($settings['fimage']['id'], 'full', '', array( 'class' => 'banner-shapes4 wow animate__animated animate__fadeInLeft' ));
                    echo wp_get_attachment_image($settings['obj3']['id'], 'full', '', array( 'class' => 'banner-shapes5 wow animate__animated animate__fadeInRight' ));
                    echo wp_get_attachment_image($settings['obj4']['id'], 'full', '', array( 'class' => 'banner-shapes6 wow animate__animated animate__fadeInDown' ));
                    echo wp_get_attachment_image($settings['obj5']['id'], 'full', '', array( 'class' => 'banner-shapes7 wow animate__animated animate__fadeInRight' ));
					?>

				</div>
			</div>
		</div>
	</div>
</section>

<script>
    ;(function($){
        "use strict";
        $(document).ready(function () {
            // MAILCHIMP
            if ($(".mailchimp").length > 0) {
                $(".mailchimp").ajaxChimp({
                    callback: mailchimpCallback,
                    url: "<?php echo esc_js($settings['action_url']) ?>"
                });
            }
            $(".memail").on("focus", function () {
                $(".mchimp-errmessage").fadeOut();
                $(".mchimp-sucmessage").fadeOut();
            });
            $(".memail").on("keydown", function () {
                $(".mchimp-errmessage").fadeOut();
                $(".mchimp-sucmessage").fadeOut();
            });
            $(".memail").on("click", function () {
                $(".memail").val("");
            });

            function mailchimpCallback(resp) {
                if (resp.result === "success") {
                    $(".mchimp-errmessage").html(resp.msg).fadeIn(1000);
                    $(".mchimp-sucmessage").fadeOut(500);
                } else if (resp.result === "error") {
                    $(".mchimp-errmessage").html(resp.msg).fadeIn(1000);
                }
            }
        });
    })(jQuery)
</script>