<section class="cloud-banner-area landpagy-hero pt-160 pb-130">
    <div class="container position-relative">
        <div class="bg-shapes">
            <?php
            if ( !empty( $settings['shape_images'] ) ) {
                foreach ( $settings['shape_images'] as $image ) {
                    ?>
                    <div class="shape">
                        <?php echo wp_get_attachment_image( $image['shape']['id'], 'full' ); ?>
                    </div>
                    <?php
                }
            }
            ?>
        </div>
        <div class="row">
            <div class="col-lg-12">
                <div class="cloud-banner-content text-center pt-80">
                    <h1 class="banner-title fadeInDown mb-35 animatedes" data-wow-delay="0.3s">
                        <?php
                        $stroke_color = !empty($settings['title_color']) ? $settings['title_color'] : '#EFBA34';
                        $title = $settings['title'];
                        $svg1 = '<svg width="183" height="81" viewBox="0 0 183 81" fill="none" xmlns="http://www.w3.org/2000/svg">
                                          <path class="animatable draw" d="M12.9677 22.1512C87.33 -23.7497 215.615 14.9169 173.556 52.8019C140.491 82.5856 
                                          -7.39191 98.5042 1.51001 44.3796C6.91522 11.5154 133.588 -8.53048 169.449 30.7166" stroke="'. esc_attr($stroke_color).'">';
                        $str_replace = str_replace(['{', '}'], ['<span>', ''.$svg1.'</svg></span>'], $title);

                        echo $str_replace
                        ?>
                    </h1>
                    <?php
                    if ( !empty($settings['subtitle']) ) { ?>
                        <p class="banner-text wow fadeInDown" data-wow-delay="0.2s">
                            <?php echo esc_html($settings['subtitle']) ?>
                        </p>
                        <?php
                    }
                    if ( !empty($settings['btn_title']) ) { ?>
                        <p class="offer-text wow fadeInDown" data-wow-delay="0.1s">
                            <?php echo esc_html($settings['btn_title']) ?>
                        </p>
                        <?php
                    }
                    if ( !empty($settings['buttons']) ) {
                        foreach ( $settings['buttons'] as $button ) {
                            ?>
                            <a <?php landpagy_Core_Helper()->the_button($button['btn_url']) ?> class="btn btn-red wow fadeInDown" data-wow-delay="0.1s">
                                <?php echo esc_html($button['btn_label']) ?>
                            </a>
                            <?php
                        }
                    }
                    if ( !empty($settings['btn_contents']) ) { ?>
                        <p class="meta-text wow fadeInDown" data-wow-delay="0.5s">
                            <?php echo esc_html($settings['btn_contents']) ?>
                        </p>
                        <?php
                    }
                    ?>
                </div>
            </div>
        </div>
    </div>
</section>



<script>
    ;(function($){
        "use strict";
        $(document).ready(function () {

            // Cloud Animation
            $(function($) {

                // Function which adds the 'animated' class to any '.animatable' in view
                var doAnimations = function() {

                    // Calc current offset and get all animatables
                    var offset = $(window).scrollTop() + $(window).height(),
                        $animatables = $('.animatable');

                    // Unbind scroll handler if we have no animatables
                    if ($animatables.length == 0) {
                        $(window).off('scroll', doAnimations);
                    }

                    // Check all animatables and animate them if necessary
                    $animatables.each(function(i) {
                        var $animatable = $(this);
                        if (($animatable.offset().top + $animatable.height() - 20) < offset) {
                            $animatable.removeClass('animatable').addClass('animatedes');
                        }
                    });

                };

                // Hook doAnimations on scroll, and trigger a scroll
                $(window).on('scroll', doAnimations);
                $(window).trigger('scroll');

            });


        });
    })(jQuery)
</script>