<section class="career-tabs-area pt-90 pb-100">
    <div class="container">

        <div class="row">
            <div class="col-md-12">

                <div class="career__nav">

                    <select class="form-select wow fadeInLeft" data-wow-delay="0.3s" id="jobs-department" name="department">
                        <option selected><?php esc_html_e('All Departments', 'landpagy-core'); ?></option>
                        <?php
                        if ( $job_cats ) {
                            foreach ( $job_cats as $term ) {
                                echo '<option value="' . $term->slug . '">' . $term->name . '</option>';
                            }
                        }
                        ?>
                    </select>

                    <select class="form-select wow fadeInRight" data-wow-delay="0.3s" id="jobs-locations" name="location">
                        <option selected><?php esc_html_e('All Locations', 'landpagy-core'); ?></option>
                        <?php
                        if ( $job_location ) {
                            foreach ( $job_location as $term ) {
                                echo '<option value="' . $term->slug . '">' . $term->name . '</option>';
                            }
                        }
                        ?>
                    </select>
                </div>
                <div class="career__positions">
                    <?php
                    if ( !empty($job_cats && is_array($job_cats) )) {
                        foreach ($job_cats as $cat ) {
                            ?>
                            <div id="<?php echo esc_attr($cat->slug) ?>" class="department" data-department="<?php echo esc_attr($cat->slug) ?>">
                                <h3><?php echo esc_html($cat->name) ?></h3>
                                <?php
                                $args = [
                                    'post_type' => 'bjl_post',
                                    'post_status' => 'publish',
                                ];

                                if (!empty($show_count)) {
                                    $args['posts_per_page'] = $show_count;
                                }
                                if (!empty($order)) {
                                    $args['order'] = $order;
                                }
                                if (!empty($orderby)) {
                                    $args['orderby'] = $orderby;
                                }
                                if (!empty($exclude)) {
                                    $args['post__not_in'] = $exclude;
                                }

                                $args['tax_query'] = [
                                    [
                                        'taxonomy' => 'bjl_category',
                                        'field' => 'slug',
                                        'terms' => $cat->slug
                                    ]
                                ];

                                $job_query = new WP_Query($args);

                                while ($job_query->have_posts()) : $job_query->the_post();
                                    $unique_id = wp_unique_id('landpagy-');

                                    $job_locations = get_the_terms(get_the_ID(), 'bjl_location');


                                    $location_slug = '';
                                    $location_name = '';
                                    foreach ( $job_locations as $job_location ) {
                                        $location_slug .= $job_location->slug.' ';
                                        $location_name .= $job_location->name.' ';
                                    }

                                    ?>
                                    <div id="<?php echo esc_attr($unique_id) ?>" class="job wow fadeInUp location-test" data-wow-delay="0.1s" data-location="<?php echo esc_attr($location_slug) ?>">

                                        <div class="job__header">
                                            <div>
                                                <div class="job__title">
                                                    <h4><?php the_title() ?></h4>
                                                    <div class="job__link">
                                                        <input type="text" name="copy-1" value="<?php the_permalink(); ?>" class="copy-link hidden-input"/>
                                                        <button id="copy-1" class="copy-button">
                                                            <span class="tooltip-text"><?php esc_html_e('Copy to clipboard', 'landpagy-core'); ?></span>
                                                            <?php esc_html_e('Get Link', 'landpagy-core'); ?>
                                                        </button>
                                                    </div>
                                                </div>
                                                <span class="job__location"><?php echo esc_attr($location_name) ?></span>
                                            </div>
                                            <a class="btn btn--apply btn btn--details" href="<?php the_permalink(); ?>" target="_blank"><?php echo esc_html($btn_title) ?></a>
                                        </div>
                                    </div>
                                    <?php
                                endwhile;
                                wp_reset_postdata();
                                ?>
                                <p class="no-jobs-found"><?php esc_html_e('There are no jobs available for the selected region!', 'landpagy-core'); ?></p>
                            </div>
                            <?php
                        }
                    }
                    ?>
                </div>
            </div>
        </div>
    </div>
</section>


<script>

    ;(function ($) {

        'use strict';

        // Career Tab
        $(document).ready(function () {
            $('.copy-button').on('click', function (e) {
                e.preventDefault();
                e.stopPropagation();
                let id = $(this).attr('id');

                let input = document.getElementsByName(id);

                input[0].select();
                input[0].setSelectionRange(0, 99999);

                document.execCommand('copy');

                let tooltip = $(this).find('.tooltip-text');

                tooltip.text('Copied!');

                setTimeout(function () {
                    tooltip.text('Copy to clipboard!');
                }, 3000);
            });

            let url = new URL(window.location.href);

            let department = url.searchParams.get('department');
            let location = url.searchParams.get('location');

            if (window.location.hash) {
                $(window.location.hash).toggleClass('active');
            }

            if (department) {
                $('.department').addClass('hidden');
                $('#' + department).removeClass('hidden');

                showNoJobs();
            }

            if (location) {
                $('[data-location]:not([data-location="remote-anywhere-in-the-world"]').addClass('hidden');
                $('[data-location="' + location + '"]').removeClass('hidden');

                showNoJobs();
            }

            $('#jobs-department').on('change', function () {
                addParameterToURL('department', this.value);

                if (!this.value) {
                    $('.department').removeClass('hidden');
                } else {
                    $('.department').addClass('hidden');
                    $('#' + this.value).removeClass('hidden');
                }

                showNoJobs();
            });

            $('#jobs-locations').on('change', function () {
                addParameterToURL('location', this.value);

                if (!this.value) {
                    $('[data-location]').removeClass('hidden');
                } else {
                    $('[data-location]:not([data-location="remote-anywhere-in-the-world"])').addClass('hidden');
                    $('[data-location="' + this.value + '"]').removeClass('hidden');
                }

                showNoJobs();
            });

            $('.job__header').click(function () {
                $(this).parent('.job').toggleClass('active');
            });
        });

        function addParameterToURL(param, value) {
            let url = new URL(location.href);

            if (!value) {
                url.searchParams.delete(param);
            } else {
                url.searchParams.set(param, value);
            }
            history.pushState({}, null, url);
        }

        function showNoJobs() {
            $('.department:not(.hidden)').each(function () {
                if (!$(this).find('.job:not(.hidden)').length) {
                    $(this).addClass('show-no-jobs');
                } else {
                    $(this).removeClass('show-no-jobs');
                }
            });
        }

    })(jQuery);

    
</script>