<header class="header-area landpagy_header">
    <nav class="navbar navbar-expand-lg menu_three sticky-nav">
        <div class="<?php echo esc_attr($menu_container) ?>">
            <?php
            if ( $use_custom_logo == 'yes' ) {
                $retina_main_logo = !empty($retina_main_logo['url']) ? "srcset='{$retina_main_logo['url']} 2x'" : '';
                $retina_sticky_logo = !empty($retina_sticky_logo['url']) ? "srcset='{$retina_sticky_logo['url']} 2x'" : '';
                $logo_url = !empty($settings['logo_url']) ? $settings['logo_url'] : esc_url(home_url('/'));
                ?>
                <a <?php landpagy_Core_Helper()->the_button($logo_url) ?> class="navbar-brand header_logo">
                    <?php
                    if ( !empty($main_logo['url']) ) { ?>
                        <img class="main_logo" src="<?php echo esc_url($main_logo['url']) ?>" alt="<?php bloginfo('name'); ?>" <?php echo Landpagy_Core_Helper()->kses_post($retina_main_logo) ?>>
                        <?php
                    }
                    if ( !empty($sticky_logo['url']) ) { ?>
                        <img class="sticky_logo" src="<?php echo esc_url($sticky_logo['url']) ?>" alt="<?php bloginfo('name'); ?>" <?php echo Landpagy_Core_Helper()->kses_post($retina_sticky_logo) ?>>
                        <?php
                    }
                    ?>
                </a>
                <?php
            } else {
                Landpagy_Helper()->logo();
            }
            ?>

            <button class="navbar-toggler collapsed" type="button" data-bs-toggle="collapse" data-bs-target="#navbarText" aria-controls="navbarText" aria-expanded="false"
                    aria-label="<?php esc_attr_e('Toggle navigation', 'landpagy-core'); ?>">
                <span class="menu_toggle">
                    <span class="hamburger">
                        <span></span>
                        <span></span>
                        <span></span>
                    </span>
                    <span class="hamburger-cross">
                        <span></span>
                        <span></span>
                    </span>
                </span>
            </button>
            <div class="collapse navbar-collapse justify-content-end" id="navbarText">

                <?php echo Landpagy_Core_Helper()->html_return($menu_html) ?>

                <?php
                if ( !empty($settings['buttons']) ) {
                    ?>
                    <div class="right-nav">
                        <?php
                        foreach ( $settings['buttons'] as $index => $button ) {
                            $align_class = ($index % 2 == 1) ? 'btn btn-red ' : '';
                            ?>
                            <a <?php Landpagy_Core_Helper()->the_button($button['btn_url']) ?> class="<?php echo esc_attr($align_class) ?>elementor-repeater-item-<?php echo esc_attr($button['_id']) ?>">
                                <?php echo esc_html($button['btn_title']) ?>
                            </a>
                            <?php
                        }
                        ?>
                    </div>
                    <?php
                }
                ?>
            </div>
        </div>
    </nav>
</header>


<script>

    (function($) {
        var $window = $(window),
            $header = $('.landpagy_header');

        function resize() {
            if ($window.width() < 991) {
                return $header.addClass('mobile_menu');
            }

            $header.removeClass('mobile_menu');
        }

        $window
            .resize(resize)
            .trigger('resize');
    })(jQuery);

</script>