<section class="software-area __portfolio">
    <div class="row">
        <div class="col-md-12 text-center">
            <ul class="software-titles">
                <?php
                if ( !empty($settings['all_label']) ) { ?>
                    <li class="active" data-filter="*">
                        <?php echo esc_html($settings['all_label']); ?>
                    </li>
                    <?php
                }

                if ( is_array($settings['cats']) ) {
                    if ( !empty($settings['cats'] == ['all'] )) {
                        $all_cats = get_terms( array(
                            'taxonomy' => 'portfolio_cat',
                            'hide_empty' => true,
                        ));
                        foreach( $all_cats as $all_cat ) {
                            ?>
                            <li data-filter=".<?php echo esc_attr($all_cat->term_id); ?>">
                                <?php echo esc_html($all_cat->name); ?>
                            </li>
                            <?php
                        }
                    } else {
                        foreach ($settings['cats'] as $cat) {
                            $cat = get_term( $cat, 'portfolio_cat' );
                            if ( !empty( $cat->term_id ) ) {
                                ?>
                                <li data-filter=".<?php echo esc_attr($cat->term_id); ?>">
                                    <?php echo esc_html($cat->name); ?>
                                </li>
                                <?php
                            }
                        }
                    }
                }
                ?>
            </ul>
        </div>
    </div>
    <div class="row software-list grid">
        <?php
        while ( $portfolios->have_posts() ) : $portfolios->the_post();
            $cats = get_the_terms( get_the_ID(), 'portfolio_cat' );
            $cat_id = '';
            if (is_array($cats)) {
                foreach ( $cats as $cat ) {
                    $cat_id .= $cat->term_id.' ';
                }
            }
            ?>
            <div class="col-md-4 col-6 <?php echo esc_attr($cat_id) ?>">
                <div class="software-item">
                    <div class="item-img">
                        <span class='__icons'><i class="fas fa-arrows-alt"></i></span>
                        <?php the_post_thumbnail( 'landpagy_520x500' ); ?>
                        <div class="items-hover">
                        <a href="<?php the_permalink(); ?>" class="items-title">
                            <?php the_title() ?>
                        </a>
                        <h5 class="__category"><?php echo esc_html($cat->name); ?></h5>
                        </div>
                    </div>
                    
                </div>
            </div>
            <?php
        endwhile;
        wp_reset_postdata();
        ?>
    </div>
</section>