<section class="deal-fast-area">
    <div class="row gy-4 gy-lg-0">
        <div class="col-lg-5">
            <div class="info-card me-lg-5 nav-tabs nav automated-tab" role="tablist">
                <?php
                $delay_time = 0.1;
                foreach ( $tabs2 as $key => $value ) {
                    $tab_count = $key + 1;
                    $active = $tab_count == 1 ? ' active' : '';
                    $tab_title_setting_key = $this->get_repeater_setting_key( 'title', 'tabs2', $key );
                    $this->add_render_attribute( $tab_title_setting_key, [
                        'class' => 'nav-link'. $active,
                        'aria-selected' => $tab_count == 1 ? 'true' : 'false',
                        'role'  => 'tab',
                        'data-bs-toggle' => 'tab',
                        'data-bs-target'  => '#landpagy-' . $id_int . $tab_count,
                        'data-wow-delay'  => $delay_time.'.s',
                    ]);
                    ?>
                    <a <?php echo $this->get_render_attribute_string( $tab_title_setting_key ); ?>>
                        <?php
                        if ( !empty($value['icon']['id']) ) { ?>
                            <div class="icon">
                                <?php echo wp_get_attachment_image($value['icon']['id'], 'full') ?>
                            </div>
                            <?php
                        }
                        if ( !empty($value['title'] ) ) { ?>
                            <div class="info-txt">
                                <h6 class="__title"><?php echo esc_html($value['title']) ?></h6>
                                <p class="__content"><?php echo esc_html($value['contents']) ?></p>
                            </div>
                            <div class="progress-bar"></div>
                            <?php
                        }
                        ?>
                    </a>
                    <?php
                    $delay_time += 0.2;
                }
                ?>
            </div>
        </div>
        <div class="col-lg-7 ps-lg-0">
            <div class="tab-content">
                <?php
                $delay_time = 0.1;
                foreach ( $tabs2 as $key => $value ) {
                    $tab_count = $key + 1;
                    $tab_content_setting_key = $this->get_repeater_setting_key( 'image', 'tabs2', $key );
                    $active = $tab_count == 1 ? ' show active' : '';
                    $this->add_render_attribute( $tab_content_setting_key, [
                        'class' => 'tab-pane fade'. $active,
                        'id'    => 'landpagy-'. $id_int . $tab_count,
                        'role'  => 'tabpanel',
                    ]);
                    ?>
                    <div <?php echo $this->get_render_attribute_string( $tab_content_setting_key ); ?>>
                        <div class="main-img" data-wow-delay="<?php echo esc_attr($delay_time) ?>s">
                            <?php
                            if ( !empty($value['image']['id']) ) {
                                echo wp_get_attachment_image($value['image']['id'], 'full');
                            }
                            if ( !empty($value['image2']['id']) ) {
                                echo wp_get_attachment_image($value['image2']['id'], 'full');
                            }
                            ?>
                        </div>
                    </div>
                    <?php
                    $delay_time += 0.2;
                }
                ?>
            </div>
        </div>
    </div>
</section>